(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    171752,       5284]*)
(*NotebookOutlinePosition[    184088,       5590]*)
(*  CellTagsIndexPosition[    182023,       5537]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Theorem (correctness of sort))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], "]"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Theorem (correctness of sort)"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(is\[Dash]sorted[\[LeftAngleBracket]\[RightAngleBracket]]\)], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is sorted): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is sorted): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(z\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(z\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}], "]"}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[GreaterEqual]", 
                StyleBox["y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    StyleBox[\(z\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}], "\[RightAngleBracket]"}], 
                "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is sorted): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[LeftAngleBracket]\[RightAngleBracket] \[TildeTilde] \
\[LeftAngleBracket]\[RightAngleBracket]\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is permuted version): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          
          RowBox[{\(\[LeftAngleBracket]\[RightAngleBracket]\), 
            "\[NotTildeTilde]", 
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is permuted version): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}], 
              "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[Element]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}], "\[And]", 
              RowBox[{
                RowBox[{"dfo", "[", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                      StyleBox[\(y\&_\),
                        FontWeight->"Bold",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 1],
                        Background->None], "\[RightAngleBracket]"}]}], "]"}], 
                "\[TildeTilde]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}]}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is permuted version): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted version))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
              RowBox[{
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[TildeTilde]", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is sorted version)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (is tuple tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (is tuple tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (prepend): \[Cup])", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[Cup]", 
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}], "=", 
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (prepend): \[Cup]"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (singleton tuple is singleton tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]singleton\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (singleton tuple is singleton tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is trivial tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"is\[Dash]empty\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[Or]", 
              RowBox[{"is\[Dash]singleton\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is trivial tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is element): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], 
            "\[NotElement]", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is element): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is element): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[Element]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "=", 
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], ")"}], "\[Or]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[Element]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}]}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is element): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (deletion of the first occurrence): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"dfo", "[", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], 
                ",", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], "]"}], 
            "=", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (deletion of the first occurrence): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (deletion of the first occurrence): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"dfo", "[", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    StyleBox[\(x\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}], "\[RightAngleBracket]"}]}], "]"}], 
            "=", 
            RowBox[{"\[LeftDoubleBracketingBar]", 
              RowBox[{
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[\(x\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "\[RightAngleBracket]"}], 
                  "\[DoubleLeftArrow]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "=", 
                    StyleBox["a",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}]}], ",", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "\[Cup]", 
                    RowBox[{"dfo", "[", 
                      RowBox[{
                        StyleBox["a",
                          FontWeight->"Bold",
                          FontSlant->"Italic",
                          FontColor->RGBColor[0, 0, 1],
                          Background->None], ",", 
                        RowBox[{"\[LeftAngleBracket]", 
                          StyleBox[\(x\&_\),
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "\[RightAngleBracket]"}]}], 
                      "]"}]}], "\[DoubleLeftArrow]", "otherwise"}]}], 
              "\[RightDoubleBracketingBar]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (deletion of the first occurrence): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          
          RowBox[{\(\[LeftAngleBracket]\[RightAngleBracket]\), 
            "\[NotSucceeds]", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(y\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is longer than): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}], 
            "\[Succeeds]", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is longer than): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}], 
              "\[Succeeds]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}], "\[Succeeds]", 
              
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is longer than): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (trivial tuples are sorted))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "]"}]], 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (trivial tuples are sorted)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (only trivial tuple permuted version of itself))", 
    "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}], ")"}], 
            "\[Implies]", 
            RowBox[{
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (only trivial tuple permuted version of itself)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (reflexivity of permuted version))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "\[TildeTilde]", 
            
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (reflexivity of permuted version)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Algorithm (sorted))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "=", 
            RowBox[{"\[LeftDoubleBracketingBar]", 
              RowBox[{
                RowBox[{
                  RowBox[{"special", "[", 
                    StyleBox["X",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "]"}], "\[DoubleLeftArrow]", 
                  RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                    StyleBox["X",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "]"}]}], ",", 
                RowBox[{
                  RowBox[{"merged", "[", 
                    RowBox[{
                      RowBox[{"sorted", "[", 
                        RowBox[{"left\[Dash]split", "[", 
                          StyleBox["X",
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "]"}], "]"}], ",", 
                      RowBox[{"sorted", "[", 
                        RowBox[{"right\[Dash]split", "[", 
                          StyleBox["X",
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "]"}], "]"}]}], "]"}], 
                  "\[DoubleLeftArrow]", "otherwise"}]}], 
              "\[RightDoubleBracketingBar]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Algorithm (sorted)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (closure of special))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"special", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (closure of special)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are tuples): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"\[Not]", 
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"left\[Dash]split", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (splits are tuples): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are tuples): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"\[Not]", 
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"right\[Dash]split", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (splits are tuples): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"left\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (splits are shorter): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"right\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (splits are shorter): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (closure of merge))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", GridBox[{
              {
                RowBox[{"is\[Dash]tuple", "[", 
                  StyleBox["X",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]},
              {
                RowBox[{"is\[Dash]tuple", "[", 
                  StyleBox["Y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}
              }]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}], "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (closure of merge)"]
}, Closed]],

Cell[TextData[{
  "We",
  " try to ",
  "prove ",
  StyleBox["(", "Label"],
  ButtonBox["Theorem (correctness of sort)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Theorem (correctness of sort)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by well\[Dash]founded induction on ",
  Cell[BoxData[
      FormBox[
        StyleBox["X",
          FontWeight->"Bold",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 0, 1],
          Background->None], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["Well\[Dash]founded induction:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  "Assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  "Well\[Dash]Founded Induction Hypothesis:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["x1",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], 
              "\[Succeeds]", 
              StyleBox["x1",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}], "\[Implies]", 
            RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                RowBox[{"sorted", "[", 
                  StyleBox["x1",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}], "]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell["", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  "We have to show:  "
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "]"}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"3"],

Cell[TextData[{
  "We try to prove ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by case distinction using ",
  StyleBox["(", "Label"],
  ButtonBox["Algorithm (sorted)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Algorithm (sorted)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ". However, the proof fails in at least one of the cases."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[CellGroupData[{

Cell["Case 1: ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"4"],

Cell["Hence, we have to prove", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "]"}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"5"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (trivial tuples are sorted)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (trivial tuples are sorted)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"9"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (only trivial tuple permuted version of itself)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (only trivial tuple permuted version of itself)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["Y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}]}], 
              ")"}], "\[Implies]", 
            RowBox[{
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}]}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"10"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (closure of special)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (closure of special)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"11"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"12"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (is sorted version)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (is sorted version)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "\[And]", 
        RowBox[{
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "\[And]",
         
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"13"],

Cell[TextData[{
  "Not all the conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "can be proved."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["13.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["13.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["13.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["13.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["12",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["13.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["13.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], "=",
         
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"14"],

Cell[TextData[{
  "The proof of ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[") ", "Label"],
  "fails.",
  " (The prover \"QR\" was unable to transform the proof situation.)"
}], "ProofText",
  CellDingbat->"\[SadSmiley]",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  Background->RGBColor[1, 1, 0]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["13.4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[Cell[TextData[{
  "Pending proof of ",
  StyleBox["(", "Label"],
  ButtonBox["13.4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{
  "Color"->RGBColor[0.705882, 0.054902, 0.611765]}]], "Text",
  Background->GrayLevel[0.659998]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Case 2: ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"6"],

Cell["Hence, we have to prove", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}]}], "]"}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"8"],

Cell[TextData[Cell[TextData[{
  "Pending proof of ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{
  "Color"->RGBColor[0.705882, 0.054902, 0.611765]}]], "Text",
  Background->GrayLevel[0.659998]]
}, Closed]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    RowBox[{
      RowBox[{"Prove", "[", 
        RowBox[{\(Theorem["\<correctness of sort\>"]\), ",", 
          " ", \(using \[Rule] 
            Theory["\<lazy thinking correctness of sort\>"]\), ",", 
          " ", \(by \[Rule] 
            CascadeLT[SqnsEqCasePC, \ GenerateConjectures, \ nS, \ aNS, \ 
              kConjectures, \ nConjectures]\), ",", " ", 
          
          StyleBox[\(built\[Dash]in \[Rule] {Property[\(\[TildeTilde]\)\(\(\
\[Rule]\)\({Commutative}\)\)]}\),
            FontSize->9], 
          StyleBox[",",
            FontSize->9], 
          StyleBox[" ",
            FontSize->9], 
          
          StyleBox[\(ProverOptions \[Rule] {SqnsProofTechniques \[Rule] \
{"\<WFInd\>"}, \ SqnsWFOrdering \[Rule] \[Bullet][ \[Succeeds] ], \ 
                GRWTarget \[Rule] {"\<kb\>", \ "\<goal\>"}, \ 
                AllowIntroduceQuantifiers \[Rule] True}\),
            FontSize->9], 
          StyleBox[",",
            FontSize->9], 
          StyleBox[" ",
            FontSize->9], 
          StyleBox[\(SearchDepth \[Rule] 50\),
            FontSize->9]}], "]"}], "//", "Timing"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00000"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2003/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["PersonalTheoremaSetup`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2003/03/04 08:55:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/02/21 14:51:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.30 ",
  ", ",
  "Date: 2001/11/11 17:12:25 ",
  ", ",
  "Last modified by: knakagaw "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.56 ",
  ", ",
  "Date: 2003/03/04 08:52:19 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2003/02/21 15:00:22 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/03/23 08:48:56 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.69 ",
  ", ",
  "Date: 2003/03/28 15:26:25 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.85 ",
  ", ",
  "Date: 2001/12/06 10:10:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2003/03/04 08:37:35 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/03/22 18:10:16 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/03/12 09:13:52 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.67 ",
  ", ",
  "Date: 2003/05/22 08:33:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2003/03/04 08:41:08 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2003/05/22 08:33:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.32 ",
  ", ",
  "Date: 2003/03/04 08:42:36 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Cascade`CascadeLT`: ",
    FontWeight->"Bold"],
  "Revision: ",
  ", ",
  "Date: ",
  ", ",
  "Last modified by: "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2001/03/23 09:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/05/22 09:33:11 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2003/03/28 15:58:24 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2003/03/28 15:35:36 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.42 ",
  ", ",
  "Date: 2003/03/28 15:32:41 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCellsFW`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2002/04/24 12:38:09 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2003/03/28 15:42:59 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.52 ",
  ", ",
  "Date: 2003/03/28 15:54:41 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ConjectureGenerator`ConjectureGenerator`: ",
    FontWeight->"Bold"],
  "Revision: ",
  ", ",
  "Date: ",
  ", ",
  "Last modified by: "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ConjectureGenerator`FailureAnalyser`: ",
    FontWeight->"Bold"],
  "Revision: ",
  ", ",
  "Date: ",
  ", ",
  "Last modified by: "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`Common`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 1999/12/14 11:58:37 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/01/10 13:34:08 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`NIP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/04/30 15:46:18 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`TIP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/01/10 13:33:29 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`BasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2002/06/03 18:29:51 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:37:44 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/05/22 09:36:09 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/12/20 09:55:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/08/31 16:22:41 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.42 ",
  ", ",
  "Date: 2001/11/19 12:11:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/10/25 17:30:02 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2001/03/23 09:02:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2001/11/19 12:16:46 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/10/12 12:20:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/10/12 12:20:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/10/12 12:20:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/12/14 18:17:04 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/01/20 17:27:46 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`PolynomialSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`PolynomialSimplifierWithNumbers`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2000/03/07 09:17:29 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/01/10 13:28:28 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`SimplifierInitialization`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/01/10 13:30:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`SpecialRewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Sqns`Common`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 1999/12/14 11:58:37 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Sqns`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/01/10 13:34:08 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Sqns`Prover`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`TermRewriter`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`TermRewriter`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2000/02/21 16:04:13 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`TermRewriter`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2000/02/21 16:02:53 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`TermRewriter`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`Sqns`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["Y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}]}], 
              ")"}], "\[Implies]", 
            RowBox[{
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "\[And]", 
        RowBox[{
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "\[And]",
         
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13.4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13.4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], "=",
         
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["x1",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], 
              "\[Succeeds]", 
              StyleBox["x1",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}], "\[Implies]", 
            RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                RowBox[{"sorted", "[", 
                  StyleBox["x1",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}]}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Algorithm (sorted))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "=", 
            RowBox[{"\[LeftDoubleBracketingBar]", 
              RowBox[{
                RowBox[{
                  RowBox[{"special", "[", 
                    StyleBox["X",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "]"}], "\[DoubleLeftArrow]", 
                  RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                    StyleBox["X",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "]"}]}], ",", 
                RowBox[{
                  RowBox[{"merged", "[", 
                    RowBox[{
                      RowBox[{"sorted", "[", 
                        RowBox[{"left\[Dash]split", "[", 
                          StyleBox["X",
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "]"}], "]"}], ",", 
                      RowBox[{"sorted", "[", 
                        RowBox[{"right\[Dash]split", "[", 
                          StyleBox["X",
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "]"}], "]"}]}], "]"}], 
                  "\[DoubleLeftArrow]", "otherwise"}]}], 
              "\[RightDoubleBracketingBar]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Algorithm (sorted)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (deletion of the first occurrence): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"dfo", "[", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], 
                ",", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], "]"}], 
            "=", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (deletion of the first occurrence): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (deletion of the first occurrence): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"dfo", "[", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    StyleBox[\(x\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}], "\[RightAngleBracket]"}]}], "]"}], 
            "=", 
            RowBox[{"\[LeftDoubleBracketingBar]", 
              RowBox[{
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[\(x\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "\[RightAngleBracket]"}], 
                  "\[DoubleLeftArrow]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "=", 
                    StyleBox["a",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}]}], ",", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "\[Cup]", 
                    RowBox[{"dfo", "[", 
                      RowBox[{
                        StyleBox["a",
                          FontWeight->"Bold",
                          FontSlant->"Italic",
                          FontColor->RGBColor[0, 0, 1],
                          Background->None], ",", 
                        RowBox[{"\[LeftAngleBracket]", 
                          StyleBox[\(x\&_\),
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "\[RightAngleBracket]"}]}], 
                      "]"}]}], "\[DoubleLeftArrow]", "otherwise"}]}], 
              "\[RightDoubleBracketingBar]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (deletion of the first occurrence): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is element): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], 
            "\[NotElement]", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is element): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is element): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[Element]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "=", 
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], ")"}], "\[Or]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[Element]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is element): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          
          RowBox[{\(\[LeftAngleBracket]\[RightAngleBracket]\), 
            "\[NotSucceeds]", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(y\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is longer than): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}], 
            "\[Succeeds]", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is longer than): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}], 
              "\[Succeeds]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}], "\[Succeeds]", 
              
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is longer than): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[LeftAngleBracket]\[RightAngleBracket] \[TildeTilde] \
\[LeftAngleBracket]\[RightAngleBracket]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is permuted version): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          
          RowBox[{\(\[LeftAngleBracket]\[RightAngleBracket]\), 
            "\[NotTildeTilde]", 
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is permuted version): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}], 
              "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[Element]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}], "\[And]", 
              RowBox[{
                RowBox[{"dfo", "[", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                      StyleBox[\(y\&_\),
                        FontWeight->"Bold",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 1],
                        Background->None], "\[RightAngleBracket]"}]}], "]"}], 
                "\[TildeTilde]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is permuted version): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(is\[Dash]sorted[\[LeftAngleBracket]\[RightAngleBracket]]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is sorted): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is sorted): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(z\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(z\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}], "]"}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[GreaterEqual]", 
                StyleBox["y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    StyleBox[\(z\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}], "\[RightAngleBracket]"}], 
                "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is sorted): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted version))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
              RowBox[{
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[TildeTilde]", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is sorted version)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is trivial tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"is\[Dash]empty\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[Or]", 
              RowBox[{"is\[Dash]singleton\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is trivial tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (prepend): \[Cup])", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[Cup]", 
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}], "=", 
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (prepend): \[Cup]"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (closure of merge))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", GridBox[{
              {
                RowBox[{"is\[Dash]tuple", "[", 
                  StyleBox["X",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]},
              {
                RowBox[{"is\[Dash]tuple", "[", 
                  StyleBox["Y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}
              }]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (closure of merge)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (closure of special))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"special", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (closure of special)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"left\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are shorter): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"right\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are shorter): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are tuples): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"\[Not]", 
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"left\[Dash]split", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are tuples): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are tuples): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"\[Not]", 
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"right\[Dash]split", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are tuples): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (is tuple tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (is tuple tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (only trivial tuple permuted version of itself))", 
    "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}], ")"}], 
            "\[Implies]", 
            RowBox[{
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (only trivial tuple permuted version of itself)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (reflexivity of permuted version))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "\[TildeTilde]", 
            
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (reflexivity of permuted version)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (singleton tuple is singleton tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]singleton\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (singleton tuple is singleton tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (trivial tuples are sorted))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "]"}]], 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (trivial tuples are sorted)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Theorem (correctness of sort))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Theorem (correctness of sort)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Theorem (correctness of sort))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Theorem (correctness of sort)"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{1016, 696},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Theorem (correctness of sort)"->{
    Cell[1823, 55, 1159, 31, 57, "Conclusion",
      CellTags->"Theorem (correctness of sort)"],
    Cell[169289, 5212, 1216, 33, 105, "Text",
      CellTags->"Theorem (correctness of sort)"],
    Cell[170508, 5247, 1216, 33, 105, "Text",
      CellTags->"Theorem (correctness of sort)"]},
  "Definition (is sorted): 1"->{
    Cell[3119, 93, 461, 12, 49, "Assumption",
      CellTags->"Definition (is sorted): 1"],
    Cell[142079, 4461, 513, 13, 105, "Text",
      CellTags->"Definition (is sorted): 1"]},
  "Definition (is sorted): 2"->{
    Cell[3583, 107, 935, 26, 57, "Assumption",
      CellTags->"Definition (is sorted): 2"],
    Cell[142595, 4476, 987, 27, 105, "Text",
      CellTags->"Definition (is sorted): 2"]},
  "Definition (is sorted): 3"->{
    Cell[4521, 135, 2935, 75, 61, "Assumption",
      CellTags->"Definition (is sorted): 3"],
    Cell[143585, 4505, 2992, 77, 105, "Text",
      CellTags->"Definition (is sorted): 3"]},
  "Definition (is permuted version): 1"->{
    Cell[7459, 212, 515, 12, 49, "Assumption",
      CellTags->"Definition (is permuted version): 1"],
    Cell[136462, 4311, 572, 14, 105, "Text",
      CellTags->"Definition (is permuted version): 1"]},
  "Definition (is permuted version): 2"->{
    Cell[7977, 226, 1474, 40, 61, "Assumption",
      CellTags->"Definition (is permuted version): 2"],
    Cell[137037, 4327, 1531, 42, 105, "Text",
      CellTags->"Definition (is permuted version): 2"]},
  "Definition (is permuted version): 3"->{
    Cell[9454, 268, 3448, 86, 61, "Assumption",
      CellTags->"Definition (is permuted version): 3"],
    Cell[138571, 4371, 3505, 88, 105, "Text",
      CellTags->"Definition (is permuted version): 3"]},
  "Definition (is sorted version)"->{
    Cell[12905, 356, 2618, 68, 75, "Assumption",
      CellTags->"Definition (is sorted version)"],
    Cell[146580, 4584, 2675, 70, 105, "Text",
      CellTags->"Definition (is sorted version)"]},
  "Proposition (is tuple tuple)"->{
    Cell[15526, 426, 950, 26, 58, "Assumption",
      CellTags->"Proposition (is tuple tuple)"],
    Cell[162063, 5014, 1002, 27, 105, "Text",
      CellTags->"Proposition (is tuple tuple)"]},
  "Definition (prepend): \[Cup]"->{
    Cell[16479, 454, 1862, 50, 61, "Assumption",
      CellTags->"Definition (prepend): \[Cup]"],
    Cell[150867, 4699, 1919, 52, 105, "Text",
      CellTags->"Definition (prepend): \[Cup]"]},
  "Proposition (singleton tuple is singleton tuple)"->{
    Cell[18344, 506, 996, 26, 57, "Assumption",
      CellTags->"Proposition (singleton tuple is singleton tuple)"],
    Cell[166850, 5146, 1048, 27, 105, "Text",
      CellTags->"Proposition (singleton tuple is singleton tuple)"]},
  "Definition (is trivial tuple)"->{
    Cell[19343, 534, 1549, 39, 60, "Assumption",
      CellTags->"Definition (is trivial tuple)"],
    Cell[149258, 4656, 1606, 41, 105, "Text",
      CellTags->"Definition (is trivial tuple)"]},
  "Definition (is element): 1"->{
    Cell[20895, 575, 952, 27, 57, "Assumption",
      CellTags->"Definition (is element): 1"],
    Cell[126885, 4044, 1009, 29, 105, "Text",
      CellTags->"Definition (is element): 1"]},
  "Definition (is element): 2"->{
    Cell[21850, 604, 2854, 75, 61, "Assumption",
      CellTags->"Definition (is element): 2"],
    Cell[127897, 4075, 2911, 77, 105, "Text",
      CellTags->"Definition (is element): 2"]},
  "Definition (deletion of the first occurrence): 1"->{
    Cell[24707, 681, 1130, 30, 57, "Assumption",
      CellTags->"Definition (deletion of the first occurrence): 1"],
    Cell[121785, 3913, 1187, 32, 105, "Text",
      CellTags->"Definition (deletion of the first occurrence): 1"]},
  "Definition (deletion of the first occurrence): 2"->{
    Cell[25840, 713, 3850, 93, 60, "Assumption",
      CellTags->"Definition (deletion of the first occurrence): 2"],
    Cell[122975, 3947, 3907, 95, 105, "Text",
      CellTags->"Definition (deletion of the first occurrence): 2"]},
  "Definition (is longer than): 1"->{
    Cell[29693, 808, 1056, 29, 105, "Assumption",
      CellTags->"Definition (is longer than): 1"],
    Cell[130811, 4154, 1113, 31, 105, "Text",
      CellTags->"Definition (is longer than): 1"]},
  "Definition (is longer than): 2"->{
    Cell[30752, 839, 1454, 39, 105, "Assumption",
      CellTags->"Definition (is longer than): 2"],
    Cell[131927, 4187, 1511, 41, 105, "Text",
      CellTags->"Definition (is longer than): 2"]},
  "Definition (is longer than): 3"->{
    Cell[32209, 880, 2961, 77, 105, "Assumption",
      CellTags->"Definition (is longer than): 3"],
    Cell[133441, 4230, 3018, 79, 105, "Text",
      CellTags->"Definition (is longer than): 3"]},
  "Proposition (trivial tuples are sorted)"->{
    Cell[35173, 959, 1333, 34, 105, "Assumption",
      CellTags->"Proposition (trivial tuples are sorted)"],
    Cell[167901, 5175, 1385, 35, 105, "Text",
      CellTags->"Proposition (trivial tuples are sorted)"]},
  "Proposition (only trivial tuple permuted version of itself)"->{
    Cell[36509, 995, 2375, 61, 105, "Assumption",
      CellTags->
      "Proposition (only trivial tuple permuted version of itself)"],
    Cell[163068, 5043, 2432, 63, 105, "Text",
      CellTags->
      "Proposition (only trivial tuple permuted version of itself)"]},
  "Proposition (reflexivity of permuted version)"->{
    Cell[38887, 1058, 1287, 34, 105, "Assumption",
      CellTags->"Proposition (reflexivity of permuted version)"],
    Cell[165503, 5108, 1344, 36, 105, "Text",
      CellTags->"Proposition (reflexivity of permuted version)"]},
  "Algorithm (sorted)"->{
    Cell[40177, 1094, 2545, 60, 105, "Assumption",
      CellTags->"Algorithm (sorted)"],
    Cell[119180, 3849, 2602, 62, 105, "Text",
      CellTags->"Algorithm (sorted)"]},
  "Lemma (closure of special)"->{
    Cell[42725, 1156, 1457, 39, 105, "Assumption",
      CellTags->"Lemma (closure of special)"],
    Cell[154346, 4797, 1514, 41, 105, "Text",
      CellTags->"Lemma (closure of special)"]},
  "Lemma (splits are tuples): 1"->{
    Cell[44185, 1197, 1515, 40, 105, "Assumption",
      CellTags->"Lemma (splits are tuples): 1"],
    Cell[158912, 4926, 1572, 42, 105, "Text",
      CellTags->"Lemma (splits are tuples): 1"]},
  "Lemma (splits are tuples): 2"->{
    Cell[45703, 1239, 1516, 40, 105, "Assumption",
      CellTags->"Lemma (splits are tuples): 2"],
    Cell[160487, 4970, 1573, 42, 105, "Text",
      CellTags->"Lemma (splits are tuples): 2"]},
  "Lemma (splits are shorter): 1"->{
    Cell[47222, 1281, 1464, 39, 105, "Assumption",
      CellTags->"Lemma (splits are shorter): 1"],
    Cell[155863, 4840, 1521, 41, 105, "Text",
      CellTags->"Lemma (splits are shorter): 1"]},
  "Lemma (splits are shorter): 2"->{
    Cell[48689, 1322, 1465, 39, 105, "Assumption",
      CellTags->"Lemma (splits are shorter): 2"],
    Cell[157387, 4883, 1522, 41, 105, "Text",
      CellTags->"Lemma (splits are shorter): 2"]},
  "Lemma (closure of merge)"->{
    Cell[50157, 1363, 1497, 40, 105, "Assumption",
      CellTags->"Lemma (closure of merge)"],
    Cell[152789, 4753, 1554, 42, 105, "Text",
      CellTags->"Lemma (closure of merge)"]},
  "1"->{
    Cell[52703, 1440, 635, 18, 47, "Assumption",
      CellTags->"1"],
    Cell[101165, 3319, 678, 20, 105, "Text",
      CellTags->"1"]},
  "2"->{
    Cell[53516, 1466, 1745, 47, 57, "Assumption",
      CellTags->"2"],
    Cell[111590, 3630, 1784, 48, 105, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[55417, 1521, 987, 26, 47, "Conclusion",
      CellTags->"3"],
    Cell[113377, 3680, 1030, 28, 105, "Text",
      CellTags->"3"]},
  "4"->{
    Cell[57262, 1577, 635, 18, 47, "Assumption",
      CellTags->"4"],
    Cell[114410, 3710, 692, 20, 105, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[58013, 1600, 974, 26, 47, "Conclusion",
      CellTags->"5"],
    Cell[115105, 3732, 1031, 28, 105, "Text",
      CellTags->"5"]},
  "9"->{
    Cell[59691, 1651, 622, 18, 47, "Assumption",
      CellTags->"9"],
    Cell[118498, 3827, 679, 20, 105, "Text",
      CellTags->"9"]},
  "10"->{
    Cell[61057, 1694, 1712, 47, 54, "Assumption",
      CellTags->"10"],
    Cell[101846, 3341, 1769, 49, 105, "Text",
      CellTags->"10"]},
  "11"->{
    Cell[63447, 1766, 1028, 28, 47, "Assumption",
      CellTags->"11"],
    Cell[103618, 3392, 1085, 30, 105, "Text",
      CellTags->"11"]},
  "12"->{
    Cell[65105, 1819, 679, 19, 47, "Assumption",
      CellTags->"12"],
    Cell[104706, 3424, 736, 21, 105, "Text",
      CellTags->"12"]},
  "13"->{
    Cell[66479, 1863, 1999, 53, 73, "Conclusion",
      CellTags->"13"],
    Cell[105445, 3447, 2056, 55, 105, "Text",
      CellTags->"13"]},
  "14"->{
    Cell[73701, 2096, 893, 26, 47, "Conclusion",
      CellTags->"14"],
    Cell[110642, 3601, 945, 27, 105, "Text",
      CellTags->"14"]},
  "6"->{
    Cell[76603, 2194, 676, 19, 47, "Assumption",
      CellTags->"6"],
    Cell[116139, 3762, 733, 21, 105, "Text",
      CellTags->"6"]},
  "8"->{
    Cell[77395, 2218, 1563, 38, 73, "Conclusion",
      CellTags->"8"],
    Cell[116875, 3785, 1620, 40, 105, "Text",
      CellTags->"8"]},
  "AdditionalInfo"->{
    Cell[79633, 2283, 88, 1, 79, "Section",
      CellTags->"AdditionalInfo"]},
  "13.1"->{
    Cell[107504, 3504, 684, 20, 105, "Text",
      CellTags->"13.1"]},
  "13.2"->{
    Cell[108191, 3526, 740, 21, 105, "Text",
      CellTags->"13.2"]},
  "13.3"->{
    Cell[108934, 3549, 961, 27, 105, "Text",
      CellTags->"13.3"]},
  "13.4"->{
    Cell[109898, 3578, 741, 21, 105, "Text",
      CellTags->"13.4"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Theorem (correctness of sort)", 172498, 5304},
  {"Definition (is sorted): 1", 172821, 5311},
  {"Definition (is sorted): 2", 173038, 5316},
  {"Definition (is sorted): 3", 173256, 5321},
  {"Definition (is permuted version): 1", 173486, 5326},
  {"Definition (is permuted version): 2", 173734, 5331},
  {"Definition (is permuted version): 3", 173984, 5336},
  {"Definition (is sorted version)", 174229, 5341},
  {"Proposition (is tuple tuple)", 174463, 5346},
  {"Definition (prepend): \[Cup]", 174692, 5351},
  {"Proposition (singleton tuple is singleton tuple)", 174942, 5356},
  {"Definition (is trivial tuple)", 175212, 5361},
  {"Definition (is element): 1", 175442, 5366},
  {"Definition (is element): 2", 175665, 5371},
  {"Definition (deletion of the first occurrence): 1", 175911, 5376},
  {"Definition (deletion of the first occurrence): 2", 176201, 5381},
  {"Definition (is longer than): 1", 176473, 5386},
  {"Definition (is longer than): 2", 176710, 5391},
  {"Definition (is longer than): 3", 176947, 5396},
  {"Proposition (trivial tuples are sorted)", 177193, 5401},
  {"Proposition (only trivial tuple permuted version of itself)", 177477, \
5406},
  {"Proposition (reflexivity of permuted version)", 177801, 5413},
  {"Algorithm (sorted)", 178057, 5418},
  {"Lemma (closure of special)", 178267, 5423},
  {"Lemma (splits are tuples): 1", 178495, 5428},
  {"Lemma (splits are tuples): 2", 178727, 5433},
  {"Lemma (splits are shorter): 1", 178960, 5438},
  {"Lemma (splits are shorter): 2", 179195, 5443},
  {"Lemma (closure of merge)", 179425, 5448},
  {"1", 179622, 5453},
  {"2", 179770, 5458},
  {"3", 179920, 5463},
  {"4", 180069, 5468},
  {"5", 180217, 5473},
  {"9", 180366, 5478},
  {"10", 180515, 5483},
  {"11", 180668, 5488},
  {"12", 180821, 5493},
  {"13", 180972, 5498},
  {"14", 181125, 5503},
  {"6", 181275, 5508},
  {"8", 181423, 5513},
  {"AdditionalInfo", 181586, 5518},
  {"13.1", 181678, 5521},
  {"13.2", 181761, 5524},
  {"13.3", 181844, 5527},
  {"13.4", 181927, 5530}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1727, 52, 93, 1, 47, "ProofText"],
Cell[1823, 55, 1159, 31, 57, "Conclusion",
  CellTags->"Theorem (correctness of sort)"],

Cell[CellGroupData[{
Cell[3007, 90, 109, 1, 47, "ProofText"],
Cell[3119, 93, 461, 12, 49, "Assumption",
  CellTags->"Definition (is sorted): 1"],
Cell[3583, 107, 935, 26, 57, "Assumption",
  CellTags->"Definition (is sorted): 2"],
Cell[4521, 135, 2935, 75, 61, "Assumption",
  CellTags->"Definition (is sorted): 3"],
Cell[7459, 212, 515, 12, 49, "Assumption",
  CellTags->"Definition (is permuted version): 1"],
Cell[7977, 226, 1474, 40, 61, "Assumption",
  CellTags->"Definition (is permuted version): 2"],
Cell[9454, 268, 3448, 86, 61, "Assumption",
  CellTags->"Definition (is permuted version): 3"],
Cell[12905, 356, 2618, 68, 75, "Assumption",
  CellTags->"Definition (is sorted version)"],
Cell[15526, 426, 950, 26, 58, "Assumption",
  CellTags->"Proposition (is tuple tuple)"],
Cell[16479, 454, 1862, 50, 61, "Assumption",
  CellTags->"Definition (prepend): \[Cup]"],
Cell[18344, 506, 996, 26, 57, "Assumption",
  CellTags->"Proposition (singleton tuple is singleton tuple)"],
Cell[19343, 534, 1549, 39, 60, "Assumption",
  CellTags->"Definition (is trivial tuple)"],
Cell[20895, 575, 952, 27, 57, "Assumption",
  CellTags->"Definition (is element): 1"],
Cell[21850, 604, 2854, 75, 61, "Assumption",
  CellTags->"Definition (is element): 2"],
Cell[24707, 681, 1130, 30, 57, "Assumption",
  CellTags->"Definition (deletion of the first occurrence): 1"],
Cell[25840, 713, 3850, 93, 60, "Assumption",
  CellTags->"Definition (deletion of the first occurrence): 2"],
Cell[29693, 808, 1056, 29, 105, "Assumption",
  CellTags->"Definition (is longer than): 1"],
Cell[30752, 839, 1454, 39, 105, "Assumption",
  CellTags->"Definition (is longer than): 2"],
Cell[32209, 880, 2961, 77, 105, "Assumption",
  CellTags->"Definition (is longer than): 3"],
Cell[35173, 959, 1333, 34, 105, "Assumption",
  CellTags->"Proposition (trivial tuples are sorted)"],
Cell[36509, 995, 2375, 61, 105, "Assumption",
  CellTags->"Proposition (only trivial tuple permuted version of itself)"],
Cell[38887, 1058, 1287, 34, 105, "Assumption",
  CellTags->"Proposition (reflexivity of permuted version)"],
Cell[40177, 1094, 2545, 60, 105, "Assumption",
  CellTags->"Algorithm (sorted)"],
Cell[42725, 1156, 1457, 39, 105, "Assumption",
  CellTags->"Lemma (closure of special)"],
Cell[44185, 1197, 1515, 40, 105, "Assumption",
  CellTags->"Lemma (splits are tuples): 1"],
Cell[45703, 1239, 1516, 40, 105, "Assumption",
  CellTags->"Lemma (splits are tuples): 2"],
Cell[47222, 1281, 1464, 39, 105, "Assumption",
  CellTags->"Lemma (splits are shorter): 1"],
Cell[48689, 1322, 1465, 39, 105, "Assumption",
  CellTags->"Lemma (splits are shorter): 2"],
Cell[50157, 1363, 1497, 40, 105, "Assumption",
  CellTags->"Lemma (closure of merge)"]
}, Closed]],
Cell[51669, 1406, 763, 23, 40, "ProofText"],
Cell[52435, 1431, 123, 1, 47, "ProofText"],
Cell[52561, 1434, 139, 4, 47, "ProofText"],
Cell[52703, 1440, 635, 18, 47, "Assumption",
  CellTags->"1"],
Cell[53341, 1460, 172, 4, 47, "ProofText"],
Cell[53516, 1466, 1745, 47, 57, "Assumption",
  CellTags->"2"],
Cell[55264, 1515, 150, 4, 47, "ProofText"],
Cell[55417, 1521, 987, 26, 47, "Conclusion",
  CellTags->"3"],
Cell[56407, 1549, 732, 21, 47, "ProofText"],

Cell[CellGroupData[{
Cell[57164, 1574, 95, 1, 47, "ProofText"],
Cell[57262, 1577, 635, 18, 47, "Assumption",
  CellTags->"4"],
Cell[57900, 1597, 110, 1, 47, "ProofText"],
Cell[58013, 1600, 974, 26, 47, "Conclusion",
  CellTags->"5"],
Cell[58990, 1628, 698, 21, 47, "ProofText"],
Cell[59691, 1651, 622, 18, 47, "Assumption",
  CellTags->"9"],
Cell[60316, 1671, 738, 21, 47, "ProofText"],
Cell[61057, 1694, 1712, 47, 54, "Assumption",
  CellTags->"10"],
Cell[62772, 1743, 672, 21, 47, "ProofText"],
Cell[63447, 1766, 1028, 28, 47, "Assumption",
  CellTags->"11"],
Cell[64478, 1796, 624, 21, 47, "ProofText"],
Cell[65105, 1819, 679, 19, 47, "Assumption",
  CellTags->"12"],
Cell[65787, 1840, 689, 21, 47, "ProofText"],
Cell[66479, 1863, 1999, 53, 73, "Conclusion",
  CellTags->"13"],
Cell[68481, 1918, 407, 12, 47, "ProofText"],

Cell[CellGroupData[{
Cell[68913, 1934, 803, 24, 47, "ProofText"],
Cell[69719, 1960, 657, 21, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[70413, 1986, 859, 25, 47, "ProofText"],
Cell[71275, 2013, 659, 21, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[71971, 2039, 1085, 32, 47, "ProofText"],
Cell[73059, 2073, 639, 21, 47, "ProofText"],
Cell[73701, 2096, 893, 26, 47, "Conclusion",
  CellTags->"14"],
Cell[74597, 2124, 515, 15, 71, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[75149, 2144, 860, 25, 47, "ProofText"],
Cell[76012, 2171, 444, 14, 71, "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[76505, 2191, 95, 1, 47, "ProofText"],
Cell[76603, 2194, 676, 19, 47, "Assumption",
  CellTags->"6"],
Cell[77282, 2215, 110, 1, 47, "ProofText"],
Cell[77395, 2218, 1563, 38, 73, "Conclusion",
  CellTags->"8"],
Cell[78961, 2258, 438, 14, 71, "Text"]
}, Closed]],
Cell[79414, 2275, 182, 3, 40, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[79633, 2283, 88, 1, 79, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[79746, 2288, 36, 0, 105, "Subsection"],
Cell[79785, 2290, 1146, 28, 105, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[80968, 2323, 34, 0, 105, "Subsection"],
Cell[81005, 2325, 120, 7, 105, "Text"],
Cell[81128, 2334, 98, 4, 105, "Text"],
Cell[81229, 2340, 99, 4, 105, "Text"],
Cell[81331, 2346, 180, 9, 105, "Text"],
Cell[81514, 2357, 195, 9, 105, "Text"],
Cell[81712, 2368, 231, 9, 105, "Text"],
Cell[81946, 2379, 230, 9, 105, "Text"],
Cell[82179, 2390, 216, 9, 105, "Text"],
Cell[82398, 2401, 216, 9, 105, "Text"],
Cell[82617, 2412, 216, 9, 105, "Text"],
Cell[82836, 2423, 228, 9, 105, "Text"],
Cell[83067, 2434, 227, 9, 105, "Text"],
Cell[83297, 2445, 227, 9, 105, "Text"],
Cell[83527, 2456, 221, 9, 105, "Text"],
Cell[83751, 2467, 228, 9, 105, "Text"],
Cell[83982, 2478, 224, 9, 105, "Text"],
Cell[84209, 2489, 224, 9, 105, "Text"],
Cell[84436, 2500, 217, 9, 105, "Text"],
Cell[84656, 2511, 218, 9, 105, "Text"],
Cell[84877, 2522, 225, 9, 105, "Text"],
Cell[85105, 2533, 222, 9, 105, "Text"],
Cell[85330, 2544, 222, 9, 105, "Text"],
Cell[85555, 2555, 221, 9, 105, "Text"],
Cell[85779, 2566, 221, 9, 105, "Text"],
Cell[86003, 2577, 221, 9, 105, "Text"],
Cell[86227, 2588, 223, 9, 105, "Text"],
Cell[86453, 2599, 218, 9, 105, "Text"],
Cell[86674, 2610, 220, 9, 105, "Text"],
Cell[86897, 2621, 225, 9, 105, "Text"],
Cell[87125, 2632, 190, 9, 105, "Text"],
Cell[87318, 2643, 229, 9, 105, "Text"],
Cell[87550, 2654, 230, 9, 105, "Text"],
Cell[87783, 2665, 228, 9, 105, "Text"],
Cell[88014, 2676, 226, 9, 105, "Text"],
Cell[88243, 2687, 219, 9, 105, "Text"],
Cell[88465, 2698, 222, 9, 105, "Text"],
Cell[88690, 2709, 223, 9, 105, "Text"],
Cell[88916, 2720, 223, 9, 105, "Text"],
Cell[89142, 2731, 234, 9, 105, "Text"],
Cell[89379, 2742, 233, 9, 105, "Text"],
Cell[89615, 2753, 212, 9, 105, "Text"],
Cell[89830, 2764, 208, 9, 105, "Text"],
Cell[90041, 2775, 221, 9, 105, "Text"],
Cell[90265, 2786, 230, 9, 105, "Text"],
Cell[90498, 2797, 218, 9, 105, "Text"],
Cell[90719, 2808, 220, 9, 105, "Text"],
Cell[90942, 2819, 216, 9, 105, "Text"],
Cell[91161, 2830, 222, 9, 105, "Text"],
Cell[91386, 2841, 218, 9, 105, "Text"],
Cell[91607, 2852, 221, 9, 105, "Text"],
Cell[91831, 2863, 225, 9, 105, "Text"],
Cell[92059, 2874, 223, 9, 105, "Text"],
Cell[92285, 2885, 219, 9, 105, "Text"],
Cell[92507, 2896, 231, 9, 105, "Text"],
Cell[92741, 2907, 236, 9, 105, "Text"],
Cell[92980, 2918, 230, 9, 105, "Text"],
Cell[93213, 2929, 226, 9, 105, "Text"],
Cell[93442, 2940, 228, 9, 105, "Text"],
Cell[93673, 2951, 232, 9, 105, "Text"],
Cell[93908, 2962, 226, 9, 105, "Text"],
Cell[94137, 2973, 224, 9, 105, "Text"],
Cell[94364, 2984, 235, 9, 105, "Text"],
Cell[94602, 2995, 230, 9, 105, "Text"],
Cell[94835, 3006, 241, 9, 105, "Text"],
Cell[95079, 3017, 170, 9, 105, "Text"],
Cell[95252, 3028, 227, 9, 105, "Text"],
Cell[95482, 3039, 225, 9, 105, "Text"],
Cell[95710, 3050, 230, 9, 105, "Text"],
Cell[95943, 3061, 224, 9, 105, "Text"],
Cell[96170, 3072, 221, 9, 105, "Text"],
Cell[96394, 3083, 230, 9, 105, "Text"],
Cell[96627, 3094, 235, 9, 105, "Text"],
Cell[96865, 3105, 246, 9, 105, "Text"],
Cell[97114, 3116, 224, 9, 105, "Text"],
Cell[97341, 3127, 228, 9, 105, "Text"],
Cell[97572, 3138, 241, 9, 105, "Text"],
Cell[97816, 3149, 234, 9, 105, "Text"],
Cell[98053, 3160, 229, 9, 105, "Text"],
Cell[98285, 3171, 232, 9, 105, "Text"],
Cell[98520, 3182, 216, 9, 105, "Text"],
Cell[98739, 3193, 225, 9, 105, "Text"],
Cell[98967, 3204, 187, 9, 105, "Text"],
Cell[99157, 3215, 226, 9, 105, "Text"],
Cell[99386, 3226, 233, 9, 105, "Text"],
Cell[99622, 3237, 227, 9, 105, "Text"],
Cell[99852, 3248, 223, 9, 105, "Text"],
Cell[100078, 3259, 192, 9, 105, "Text"],
Cell[100273, 3270, 210, 9, 105, "Text"],
Cell[100486, 3281, 211, 9, 105, "Text"],
Cell[100700, 3292, 184, 9, 105, "Text"],
Cell[100887, 3303, 182, 9, 105, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[101106, 3317, 56, 0, 105, "Subsection"],
Cell[101165, 3319, 678, 20, 105, "Text",
  CellTags->"1"],
Cell[101846, 3341, 1769, 49, 105, "Text",
  CellTags->"10"],
Cell[103618, 3392, 1085, 30, 105, "Text",
  CellTags->"11"],
Cell[104706, 3424, 736, 21, 105, "Text",
  CellTags->"12"],
Cell[105445, 3447, 2056, 55, 105, "Text",
  CellTags->"13"],
Cell[107504, 3504, 684, 20, 105, "Text",
  CellTags->"13.1"],
Cell[108191, 3526, 740, 21, 105, "Text",
  CellTags->"13.2"],
Cell[108934, 3549, 961, 27, 105, "Text",
  CellTags->"13.3"],
Cell[109898, 3578, 741, 21, 105, "Text",
  CellTags->"13.4"],
Cell[110642, 3601, 945, 27, 105, "Text",
  CellTags->"14"],
Cell[111590, 3630, 1784, 48, 105, "Text",
  CellTags->"2"],
Cell[113377, 3680, 1030, 28, 105, "Text",
  CellTags->"3"],
Cell[114410, 3710, 692, 20, 105, "Text",
  CellTags->"4"],
Cell[115105, 3732, 1031, 28, 105, "Text",
  CellTags->"5"],
Cell[116139, 3762, 733, 21, 105, "Text",
  CellTags->"6"],
Cell[116875, 3785, 1620, 40, 105, "Text",
  CellTags->"8"],
Cell[118498, 3827, 679, 20, 105, "Text",
  CellTags->"9"],
Cell[119180, 3849, 2602, 62, 105, "Text",
  CellTags->"Algorithm (sorted)"],
Cell[121785, 3913, 1187, 32, 105, "Text",
  CellTags->"Definition (deletion of the first occurrence): 1"],
Cell[122975, 3947, 3907, 95, 105, "Text",
  CellTags->"Definition (deletion of the first occurrence): 2"],
Cell[126885, 4044, 1009, 29, 105, "Text",
  CellTags->"Definition (is element): 1"],
Cell[127897, 4075, 2911, 77, 105, "Text",
  CellTags->"Definition (is element): 2"],
Cell[130811, 4154, 1113, 31, 105, "Text",
  CellTags->"Definition (is longer than): 1"],
Cell[131927, 4187, 1511, 41, 105, "Text",
  CellTags->"Definition (is longer than): 2"],
Cell[133441, 4230, 3018, 79, 105, "Text",
  CellTags->"Definition (is longer than): 3"],
Cell[136462, 4311, 572, 14, 105, "Text",
  CellTags->"Definition (is permuted version): 1"],
Cell[137037, 4327, 1531, 42, 105, "Text",
  CellTags->"Definition (is permuted version): 2"],
Cell[138571, 4371, 3505, 88, 105, "Text",
  CellTags->"Definition (is permuted version): 3"],
Cell[142079, 4461, 513, 13, 105, "Text",
  CellTags->"Definition (is sorted): 1"],
Cell[142595, 4476, 987, 27, 105, "Text",
  CellTags->"Definition (is sorted): 2"],
Cell[143585, 4505, 2992, 77, 105, "Text",
  CellTags->"Definition (is sorted): 3"],
Cell[146580, 4584, 2675, 70, 105, "Text",
  CellTags->"Definition (is sorted version)"],
Cell[149258, 4656, 1606, 41, 105, "Text",
  CellTags->"Definition (is trivial tuple)"],
Cell[150867, 4699, 1919, 52, 105, "Text",
  CellTags->"Definition (prepend): \[Cup]"],
Cell[152789, 4753, 1554, 42, 105, "Text",
  CellTags->"Lemma (closure of merge)"],
Cell[154346, 4797, 1514, 41, 105, "Text",
  CellTags->"Lemma (closure of special)"],
Cell[155863, 4840, 1521, 41, 105, "Text",
  CellTags->"Lemma (splits are shorter): 1"],
Cell[157387, 4883, 1522, 41, 105, "Text",
  CellTags->"Lemma (splits are shorter): 2"],
Cell[158912, 4926, 1572, 42, 105, "Text",
  CellTags->"Lemma (splits are tuples): 1"],
Cell[160487, 4970, 1573, 42, 105, "Text",
  CellTags->"Lemma (splits are tuples): 2"],
Cell[162063, 5014, 1002, 27, 105, "Text",
  CellTags->"Proposition (is tuple tuple)"],
Cell[163068, 5043, 2432, 63, 105, "Text",
  CellTags->"Proposition (only trivial tuple permuted version of itself)"],
Cell[165503, 5108, 1344, 36, 105, "Text",
  CellTags->"Proposition (reflexivity of permuted version)"],
Cell[166850, 5146, 1048, 27, 105, "Text",
  CellTags->"Proposition (singleton tuple is singleton tuple)"],
Cell[167901, 5175, 1385, 35, 105, "Text",
  CellTags->"Proposition (trivial tuples are sorted)"],
Cell[169289, 5212, 1216, 33, 105, "Text",
  CellTags->"Theorem (correctness of sort)"],
Cell[170508, 5247, 1216, 33, 105, "Text",
  CellTags->"Theorem (correctness of sort)"]
}, Closed]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

