(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    264047,       7832]*)
(*NotebookOutlinePosition[    281433,       8320]*)
(*  CellTagsIndexPosition[    278330,       8226]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Theorem (correctness of sort))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], "]"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Theorem (correctness of sort)"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(is\[Dash]sorted[\[LeftAngleBracket]\[RightAngleBracket]]\)], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is sorted): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is sorted): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(z\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(z\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}], "]"}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[GreaterEqual]", 
                StyleBox["y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    StyleBox[\(z\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}], "\[RightAngleBracket]"}], 
                "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is sorted): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[LeftAngleBracket]\[RightAngleBracket] \[TildeTilde] \
\[LeftAngleBracket]\[RightAngleBracket]\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is permuted version): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          
          RowBox[{\(\[LeftAngleBracket]\[RightAngleBracket]\), 
            "\[NotTildeTilde]", 
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is permuted version): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}], 
              "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[Element]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}], "\[And]", 
              RowBox[{
                RowBox[{"dfo", "[", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                      StyleBox[\(y\&_\),
                        FontWeight->"Bold",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 1],
                        Background->None], "\[RightAngleBracket]"}]}], "]"}], 
                "\[TildeTilde]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}]}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is permuted version): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted version))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
              RowBox[{
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[TildeTilde]", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is sorted version)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (is tuple tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (is tuple tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (prepend): \[Cup])", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[Cup]", 
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}], "=", 
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (prepend): \[Cup]"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (singleton tuple is singleton tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]singleton\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (singleton tuple is singleton tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is trivial tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"is\[Dash]empty\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[Or]", 
              RowBox[{"is\[Dash]singleton\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is trivial tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is element): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], 
            "\[NotElement]", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is element): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is element): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[Element]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "=", 
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], ")"}], "\[Or]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[Element]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}]}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is element): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (deletion of the first occurrence): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"dfo", "[", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], 
                ",", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], "]"}], 
            "=", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (deletion of the first occurrence): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (deletion of the first occurrence): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"dfo", "[", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    StyleBox[\(x\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}], "\[RightAngleBracket]"}]}], "]"}], 
            "=", 
            RowBox[{"\[LeftDoubleBracketingBar]", 
              RowBox[{
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[\(x\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "\[RightAngleBracket]"}], 
                  "\[DoubleLeftArrow]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "=", 
                    StyleBox["a",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}]}], ",", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "\[Cup]", 
                    RowBox[{"dfo", "[", 
                      RowBox[{
                        StyleBox["a",
                          FontWeight->"Bold",
                          FontSlant->"Italic",
                          FontColor->RGBColor[0, 0, 1],
                          Background->None], ",", 
                        RowBox[{"\[LeftAngleBracket]", 
                          StyleBox[\(x\&_\),
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "\[RightAngleBracket]"}]}], 
                      "]"}]}], "\[DoubleLeftArrow]", "otherwise"}]}], 
              "\[RightDoubleBracketingBar]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (deletion of the first occurrence): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          
          RowBox[{\(\[LeftAngleBracket]\[RightAngleBracket]\), 
            "\[NotSucceeds]", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(y\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is longer than): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}], 
            "\[Succeeds]", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is longer than): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}], 
              "\[Succeeds]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}], "\[Succeeds]", 
              
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is longer than): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (trivial tuples are sorted))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "]"}]], 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (trivial tuples are sorted)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (only trivial tuple permuted version of itself))", 
    "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}], ")"}], 
            "\[Implies]", 
            RowBox[{
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (only trivial tuple permuted version of itself)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (reflexivity of permuted version))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "\[TildeTilde]", 
            
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (reflexivity of permuted version)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Algorithm (sorted))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "=", 
            RowBox[{"\[LeftDoubleBracketingBar]", 
              RowBox[{
                RowBox[{
                  RowBox[{"special", "[", 
                    StyleBox["X",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "]"}], "\[DoubleLeftArrow]", 
                  RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                    StyleBox["X",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "]"}]}], ",", 
                RowBox[{
                  RowBox[{"merged", "[", 
                    RowBox[{
                      RowBox[{"sorted", "[", 
                        RowBox[{"left\[Dash]split", "[", 
                          StyleBox["X",
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "]"}], "]"}], ",", 
                      RowBox[{"sorted", "[", 
                        RowBox[{"right\[Dash]split", "[", 
                          StyleBox["X",
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "]"}], "]"}]}], "]"}], 
                  "\[DoubleLeftArrow]", "otherwise"}]}], 
              "\[RightDoubleBracketingBar]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Algorithm (sorted)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (closure of special))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"special", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (closure of special)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are tuples): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"\[Not]", 
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"left\[Dash]split", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (splits are tuples): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are tuples): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"\[Not]", 
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"right\[Dash]split", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (splits are tuples): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"left\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (splits are shorter): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"right\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (splits are shorter): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (closure of merge))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", GridBox[{
              {
                RowBox[{"is\[Dash]tuple", "[", 
                  StyleBox["X",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]},
              {
                RowBox[{"is\[Dash]tuple", "[", 
                  StyleBox["Y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}
              }]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}], "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (closure of merge)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (conjecture15): conjecture15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X1",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X1",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X1",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"special", "[", 
                  StyleBox["X1",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}], "=", 
                StyleBox["X1",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (conjecture15): conjecture15"]
}, Closed]],

Cell[TextData[{
  "We",
  " try to ",
  "prove ",
  StyleBox["(", "Label"],
  ButtonBox["Theorem (correctness of sort)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Theorem (correctness of sort)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by applying several proof methods for sequences. "
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We",
  " try to ",
  "prove ",
  StyleBox["(", "Label"],
  ButtonBox["Theorem (correctness of sort)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Theorem (correctness of sort)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by well\[Dash]founded induction on ",
  Cell[BoxData[
      FormBox[
        StyleBox["X",
          FontWeight->"Bold",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 0, 1],
          Background->None], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["Well\[Dash]founded induction:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  "Assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  "Well\[Dash]Founded Induction Hypothesis:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["x2",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], 
              "\[Succeeds]", 
              StyleBox["x2",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}], "\[Implies]", 
            RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
              RowBox[{
                StyleBox["x2",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                RowBox[{"sorted", "[", 
                  StyleBox["x2",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}], "]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell["", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  "We have to show:  "
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "]"}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"3"],

Cell[TextData[{
  "We try to prove ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by case distinction using ",
  StyleBox["(", "Label"],
  ButtonBox["Algorithm (sorted)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Algorithm (sorted)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ". However, the proof fails in at least one of the cases."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[CellGroupData[{

Cell["Case 1: ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"4"],

Cell["Hence, we have to prove", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "]"}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"5"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (trivial tuples are sorted)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (trivial tuples are sorted)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"9"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (only trivial tuple permuted version of itself)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (only trivial tuple permuted version of itself)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["Y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}]}], 
              ")"}], "\[Implies]", 
            RowBox[{
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}]}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"10"],

Cell[TextData[{
  "Formula  ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (closure of special)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (closure of special)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"11"],

Cell[TextData[{
  "Formula  ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (conjecture15): conjecture15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (conjecture15): conjecture15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], "=",
         
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"14"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(21)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "]"}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"21"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["21",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "21"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (is sorted version)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (is sorted version)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[And]", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], 
          "\[TildeTilde]", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "\[And]",
         
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"22"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["22",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["22.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["22.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["22.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], 
        "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["22.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true by ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["22.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["22.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Case 2: ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"6"],

Cell["Hence, we have to prove", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}]}], "]"}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"8"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " , by ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (splits are tuples): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ",",
  StyleBox[" (", "Label"],
  ButtonBox["Lemma (splits are tuples): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (splits are shorter): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (splits are shorter): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (splits are shorter): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (splits are shorter): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (splits are shorter): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (splits are shorter): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox["),", "Label"],
  " we obtain: "
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(23)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"23"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(24)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"24"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["23",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "23"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (is sorted version)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (is sorted version)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(25)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"25"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["24",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "24"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (is sorted version)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (is sorted version)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(26)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"26"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (is sorted version)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (is sorted version)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}], "\[TildeTilde]", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "\[And]",
         
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}], "]"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"41"],

Cell[TextData[{
  "Not all the conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["41",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "can be proved."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["41.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"merged", "[", 
          RowBox[{
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  " ",
  StyleBox["(", "Label"],
  ButtonBox["41.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox["), ", "Label"],
  " by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (closure of merge)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (closure of merge)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[") ", "Label"],
  "is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(42)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"42"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["42.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["42.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["25.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["42.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["42.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["26.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["41.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"merged", "[", 
          RowBox[{
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}], "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "The proof of ",
  StyleBox["(", "Label"],
  ButtonBox["41.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "fails.",
  " (The prover \"QR\" was unable to transform the proof situation.)"
}], "ProofText",
  CellDingbat->"\[SadSmiley]",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  Background->RGBColor[1, 1, 0]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["41.4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"merged", "[", 
          RowBox[{
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[Cell[TextData[{
  "Pending proof of ",
  StyleBox["(", "Label"],
  ButtonBox["41.4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{
  "Color"->RGBColor[0.705882, 0.054902, 0.611765]}]], "Text",
  Background->GrayLevel[0.659998]]
}, Open  ]]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    RowBox[{
      RowBox[{"Prove", "[", 
        RowBox[{\(Theorem["\<correctness of sort\>"]\), ",", 
          " ", \(using \[Rule] 
            Theory["\<lazy thinking correctness of sort\>"]\), ",", 
          " ", \(by \[Rule] 
            CascadeLT[SqnsEqCasePC, \ GenerateConjectures, \ nS, \ aNS, \ 
              kConjectures, \ nConjectures]\), ",", " ", 
          
          StyleBox[\(built\[Dash]in \[Rule] {Property[\(\[TildeTilde]\)\(\(\
\[Rule]\)\({Commutative}\)\)]}\),
            FontSize->9], 
          StyleBox[",",
            FontSize->9], 
          StyleBox[" ",
            FontSize->9], 
          
          StyleBox[\(ProverOptions \[Rule] {SqnsProofTechniques \[Rule] \
{"\<WFInd\>"}, \ SqnsWFOrdering \[Rule] \[Bullet][ \[Succeeds] ], \ 
                GRWTarget \[Rule] {"\<kb\>", \ "\<goal\>"}, \ 
                AllowIntroduceQuantifiers \[Rule] True}\),
            FontSize->9], 
          StyleBox[",",
            FontSize->9], 
          StyleBox[" ",
            FontSize->9], 
          StyleBox[\(SearchDepth \[Rule] 50\),
            FontSize->9]}], "]"}], "//", "Timing"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00000"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2003/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["PersonalTheoremaSetup`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2003/03/04 08:55:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/02/21 14:51:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.30 ",
  ", ",
  "Date: 2001/11/11 17:12:25 ",
  ", ",
  "Last modified by: knakagaw "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.56 ",
  ", ",
  "Date: 2003/03/04 08:52:19 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2003/02/21 15:00:22 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/03/23 08:48:56 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.69 ",
  ", ",
  "Date: 2003/03/28 15:26:25 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.85 ",
  ", ",
  "Date: 2001/12/06 10:10:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2003/03/04 08:37:35 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/03/22 18:10:16 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/03/12 09:13:52 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.67 ",
  ", ",
  "Date: 2003/05/22 08:33:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2003/03/04 08:41:08 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2003/05/22 08:33:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.32 ",
  ", ",
  "Date: 2003/03/04 08:42:36 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Cascade`CascadeLT`: ",
    FontWeight->"Bold"],
  "Revision: ",
  ", ",
  "Date: ",
  ", ",
  "Last modified by: "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2001/03/23 09:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/05/22 09:33:11 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2003/03/28 15:58:24 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2003/03/28 15:35:36 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.42 ",
  ", ",
  "Date: 2003/03/28 15:32:41 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCellsFW`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2002/04/24 12:38:09 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2003/03/28 15:42:59 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.52 ",
  ", ",
  "Date: 2003/03/28 15:54:41 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ConjectureGenerator`ConjectureGenerator`: ",
    FontWeight->"Bold"],
  "Revision: ",
  ", ",
  "Date: ",
  ", ",
  "Last modified by: "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ConjectureGenerator`FailureAnalyser`: ",
    FontWeight->"Bold"],
  "Revision: ",
  ", ",
  "Date: ",
  ", ",
  "Last modified by: "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`Common`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 1999/12/14 11:58:37 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/01/10 13:34:08 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`NIP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/04/30 15:46:18 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`TIP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/01/10 13:33:29 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`BasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2002/06/03 18:29:51 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:37:44 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/05/22 09:36:09 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/12/20 09:55:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/08/31 16:22:41 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.42 ",
  ", ",
  "Date: 2001/11/19 12:11:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/10/25 17:30:02 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2001/03/23 09:02:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2001/11/19 12:16:46 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/10/12 12:20:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/10/12 12:20:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/10/12 12:20:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/12/14 18:17:04 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/01/20 17:27:46 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`PolynomialSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`PolynomialSimplifierWithNumbers`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2000/03/07 09:17:29 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/01/10 13:28:28 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`SimplifierInitialization`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/01/10 13:30:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`SpecialRewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Sqns`Common`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 1999/12/14 11:58:37 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Sqns`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/01/10 13:34:08 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Sqns`Prover`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`TermRewriter`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`TermRewriter`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2000/02/21 16:04:13 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`TermRewriter`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2000/02/21 16:02:53 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`TermRewriter`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`Sqns`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["Y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}]}], 
              ")"}], "\[Implies]", 
            RowBox[{
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"special", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}]}], 
              ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "=", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], "=",
         
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"15"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], 
        "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(17)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"17"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(18)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "=", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"18"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(19)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"special", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"special", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"special", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "=", 
            RowBox[{"special", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], 
              "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"19"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["x2",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], 
              "\[Succeeds]", 
              StyleBox["x2",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}], "\[Implies]", 
            RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
              RowBox[{
                StyleBox["x2",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                RowBox[{"sorted", "[", 
                  StyleBox["x2",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(20)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"20"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(21)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"21"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[And]", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], 
          "\[TildeTilde]", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "\[And]",
         
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], 
        "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(23)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"23"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(24)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"24"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(25)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "\[Implies]", 
        RowBox[{
          RowBox[{"is\[Dash]tuple", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}], "\[And]", 
          RowBox[{
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "\[TildeTilde]", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"25"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(26)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "\[Implies]", 
        RowBox[{
          RowBox[{"is\[Dash]tuple", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}], "\[And]", 
          RowBox[{
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "\[TildeTilde]", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"26"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(27)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "=", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"27"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(28)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"28"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(29)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "\[Implies]", 
        RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
          RowBox[{
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"29"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(30)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"left\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"30"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(31)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"31"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(31.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"31.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(31.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"left\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"31.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(31.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"31.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(32)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"32"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(33)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"33"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(33.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"33.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(33.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"right\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"33.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(33.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"33.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(34)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"right\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"34"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(35)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], "]"}], "=", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"35"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(36)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], "]"}], "=", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"36"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(37)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "=", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], 
              "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"37"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(38)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], "]"}], "=", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"38"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(39)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], "]"}], "=", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"39"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(40)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "=", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], 
              "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"40"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}], "\[TildeTilde]", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "\[And]",
         
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"41"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"41.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"merged", "[", 
          RowBox[{
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"41.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"merged", "[", 
          RowBox[{
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}], "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"41.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41.4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"merged", "[", 
          RowBox[{
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"41.4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(42)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"42"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(42.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"42.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(42.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"42.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(43)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"merged", "[", 
              RowBox[{
                RowBox[{"sorted", "[", 
                  RowBox[{"left\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}], ",", 
                RowBox[{"sorted", "[", 
                  RowBox[{"right\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}]}], "]"}], "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"merged", "[", 
              RowBox[{
                RowBox[{"sorted", "[", 
                  RowBox[{"left\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}], ",", 
                RowBox[{"sorted", "[", 
                  RowBox[{"right\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}]}], "]"}], "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"merged", "[", 
                RowBox[{
                  RowBox[{"sorted", "[", 
                    RowBox[{"left\[Dash]split", "[", 
                      RowBox[{"\[LeftAngleBracket]", 
                        OverscriptBox[
                          StyleBox[\(X\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "_"], "\[RightAngleBracket]"}],
                       "]"}], "]"}], ",", 
                  RowBox[{"sorted", "[", 
                    RowBox[{"right\[Dash]split", "[", 
                      RowBox[{"\[LeftAngleBracket]", 
                        OverscriptBox[
                          StyleBox[\(X\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "_"], "\[RightAngleBracket]"}],
                       "]"}], "]"}]}], "]"}], "]"}], "=", 
            RowBox[{"merged", "[", 
              RowBox[{
                RowBox[{"sorted", "[", 
                  RowBox[{"left\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}], ",", 
                RowBox[{"sorted", "[", 
                  RowBox[{"right\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"43"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}]}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Algorithm (sorted))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "=", 
            RowBox[{"\[LeftDoubleBracketingBar]", 
              RowBox[{
                RowBox[{
                  RowBox[{"special", "[", 
                    StyleBox["X",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "]"}], "\[DoubleLeftArrow]", 
                  RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                    StyleBox["X",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "]"}]}], ",", 
                RowBox[{
                  RowBox[{"merged", "[", 
                    RowBox[{
                      RowBox[{"sorted", "[", 
                        RowBox[{"left\[Dash]split", "[", 
                          StyleBox["X",
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "]"}], "]"}], ",", 
                      RowBox[{"sorted", "[", 
                        RowBox[{"right\[Dash]split", "[", 
                          StyleBox["X",
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "]"}], "]"}]}], "]"}], 
                  "\[DoubleLeftArrow]", "otherwise"}]}], 
              "\[RightDoubleBracketingBar]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Algorithm (sorted)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (deletion of the first occurrence): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"dfo", "[", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], 
                ",", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], "]"}], 
            "=", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (deletion of the first occurrence): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (deletion of the first occurrence): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"dfo", "[", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    StyleBox[\(x\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}], "\[RightAngleBracket]"}]}], "]"}], 
            "=", 
            RowBox[{"\[LeftDoubleBracketingBar]", 
              RowBox[{
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[\(x\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "\[RightAngleBracket]"}], 
                  "\[DoubleLeftArrow]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "=", 
                    StyleBox["a",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}]}], ",", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "\[Cup]", 
                    RowBox[{"dfo", "[", 
                      RowBox[{
                        StyleBox["a",
                          FontWeight->"Bold",
                          FontSlant->"Italic",
                          FontColor->RGBColor[0, 0, 1],
                          Background->None], ",", 
                        RowBox[{"\[LeftAngleBracket]", 
                          StyleBox[\(x\&_\),
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "\[RightAngleBracket]"}]}], 
                      "]"}]}], "\[DoubleLeftArrow]", "otherwise"}]}], 
              "\[RightDoubleBracketingBar]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (deletion of the first occurrence): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is element): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], 
            "\[NotElement]", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is element): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is element): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[Element]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "=", 
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], ")"}], "\[Or]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[Element]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is element): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          
          RowBox[{\(\[LeftAngleBracket]\[RightAngleBracket]\), 
            "\[NotSucceeds]", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(y\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is longer than): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}], 
            "\[Succeeds]", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is longer than): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}], 
              "\[Succeeds]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}], "\[Succeeds]", 
              
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is longer than): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[LeftAngleBracket]\[RightAngleBracket] \[TildeTilde] \
\[LeftAngleBracket]\[RightAngleBracket]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is permuted version): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          
          RowBox[{\(\[LeftAngleBracket]\[RightAngleBracket]\), 
            "\[NotTildeTilde]", 
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is permuted version): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}], 
              "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[Element]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}], "\[And]", 
              RowBox[{
                RowBox[{"dfo", "[", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                      StyleBox[\(y\&_\),
                        FontWeight->"Bold",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 1],
                        Background->None], "\[RightAngleBracket]"}]}], "]"}], 
                "\[TildeTilde]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is permuted version): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(is\[Dash]sorted[\[LeftAngleBracket]\[RightAngleBracket]]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is sorted): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is sorted): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(z\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(z\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}], "]"}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[GreaterEqual]", 
                StyleBox["y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    StyleBox[\(z\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}], "\[RightAngleBracket]"}], 
                "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is sorted): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted version))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
              RowBox[{
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[TildeTilde]", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is sorted version)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is trivial tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"is\[Dash]empty\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[Or]", 
              RowBox[{"is\[Dash]singleton\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is trivial tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (prepend): \[Cup])", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[Cup]", 
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}], "=", 
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (prepend): \[Cup]"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (closure of merge))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", GridBox[{
              {
                RowBox[{"is\[Dash]tuple", "[", 
                  StyleBox["X",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]},
              {
                RowBox[{"is\[Dash]tuple", "[", 
                  StyleBox["Y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}
              }]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (closure of merge)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (closure of special))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"special", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (closure of special)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (conjecture15): conjecture15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X1",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X1",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X1",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["X1",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"special", "[", 
                  StyleBox["X1",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}], "=", 
                StyleBox["X1",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (conjecture15): conjecture15"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"left\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are shorter): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"left\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are shorter): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"right\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are shorter): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"right\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are shorter): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are tuples): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"\[Not]", 
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"left\[Dash]split", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are tuples): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are tuples): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"\[Not]", 
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"right\[Dash]split", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are tuples): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (is tuple tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (is tuple tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (only trivial tuple permuted version of itself))", 
    "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}], ")"}], 
            "\[Implies]", 
            RowBox[{
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (only trivial tuple permuted version of itself)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (reflexivity of permuted version))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "\[TildeTilde]", 
            
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (reflexivity of permuted version)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (singleton tuple is singleton tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]singleton\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (singleton tuple is singleton tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (trivial tuples are sorted))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "]"}]], 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (trivial tuples are sorted)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Theorem (correctness of sort))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Theorem (correctness of sort)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Theorem (correctness of sort))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Theorem (correctness of sort)"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Theorem (correctness of sort)"->{
    Cell[1823, 55, 1159, 31, 57, "Conclusion",
      CellTags->"Theorem (correctness of sort)"],
    Cell[261584, 7760, 1216, 33, 70, "Text",
      CellTags->"Theorem (correctness of sort)"],
    Cell[262803, 7795, 1216, 33, 70, "Text",
      CellTags->"Theorem (correctness of sort)"]},
  "Definition (is sorted): 1"->{
    Cell[3119, 93, 461, 12, 47, "Assumption",
      CellTags->"Definition (is sorted): 1"],
    Cell[229228, 6866, 513, 13, 70, "Text",
      CellTags->"Definition (is sorted): 1"]},
  "Definition (is sorted): 2"->{
    Cell[3583, 107, 935, 26, 54, "Assumption",
      CellTags->"Definition (is sorted): 2"],
    Cell[229744, 6881, 987, 27, 70, "Text",
      CellTags->"Definition (is sorted): 2"]},
  "Definition (is sorted): 3"->{
    Cell[4521, 135, 2935, 75, 58, "Assumption",
      CellTags->"Definition (is sorted): 3"],
    Cell[230734, 6910, 2992, 77, 70, "Text",
      CellTags->"Definition (is sorted): 3"]},
  "Definition (is permuted version): 1"->{
    Cell[7459, 212, 515, 12, 47, "Assumption",
      CellTags->"Definition (is permuted version): 1"],
    Cell[223611, 6716, 572, 14, 70, "Text",
      CellTags->"Definition (is permuted version): 1"]},
  "Definition (is permuted version): 2"->{
    Cell[7977, 226, 1474, 40, 58, "Assumption",
      CellTags->"Definition (is permuted version): 2"],
    Cell[224186, 6732, 1531, 42, 70, "Text",
      CellTags->"Definition (is permuted version): 2"]},
  "Definition (is permuted version): 3"->{
    Cell[9454, 268, 3448, 86, 58, "Assumption",
      CellTags->"Definition (is permuted version): 3"],
    Cell[225720, 6776, 3505, 88, 70, "Text",
      CellTags->"Definition (is permuted version): 3"]},
  "Definition (is sorted version)"->{
    Cell[12905, 356, 2618, 68, 125, "Assumption",
      CellTags->"Definition (is sorted version)"],
    Cell[233729, 6989, 2675, 70, 70, "Text",
      CellTags->"Definition (is sorted version)"]},
  "Proposition (is tuple tuple)"->{
    Cell[15526, 426, 950, 26, 55, "Assumption",
      CellTags->"Proposition (is tuple tuple)"],
    Cell[254358, 7562, 1002, 27, 70, "Text",
      CellTags->"Proposition (is tuple tuple)"]},
  "Definition (prepend): \[Cup]"->{
    Cell[16479, 454, 1862, 50, 58, "Assumption",
      CellTags->"Definition (prepend): \[Cup]"],
    Cell[238016, 7104, 1919, 52, 70, "Text",
      CellTags->"Definition (prepend): \[Cup]"]},
  "Proposition (singleton tuple is singleton tuple)"->{
    Cell[18344, 506, 996, 26, 54, "Assumption",
      CellTags->"Proposition (singleton tuple is singleton tuple)"],
    Cell[259145, 7694, 1048, 27, 70, "Text",
      CellTags->"Proposition (singleton tuple is singleton tuple)"]},
  "Definition (is trivial tuple)"->{
    Cell[19343, 534, 1549, 39, 93, "Assumption",
      CellTags->"Definition (is trivial tuple)"],
    Cell[236407, 7061, 1606, 41, 70, "Text",
      CellTags->"Definition (is trivial tuple)"]},
  "Definition (is element): 1"->{
    Cell[20895, 575, 952, 27, 54, "Assumption",
      CellTags->"Definition (is element): 1"],
    Cell[214034, 6449, 1009, 29, 70, "Text",
      CellTags->"Definition (is element): 1"]},
  "Definition (is element): 2"->{
    Cell[21850, 604, 2854, 75, 58, "Assumption",
      CellTags->"Definition (is element): 2"],
    Cell[215046, 6480, 2911, 77, 70, "Text",
      CellTags->"Definition (is element): 2"]},
  "Definition (deletion of the first occurrence): 1"->{
    Cell[24707, 681, 1130, 30, 54, "Assumption",
      CellTags->"Definition (deletion of the first occurrence): 1"],
    Cell[208934, 6318, 1187, 32, 70, "Text",
      CellTags->"Definition (deletion of the first occurrence): 1"]},
  "Definition (deletion of the first occurrence): 2"->{
    Cell[25840, 713, 3850, 93, 93, "Assumption",
      CellTags->"Definition (deletion of the first occurrence): 2"],
    Cell[210124, 6352, 3907, 95, 70, "Text",
      CellTags->"Definition (deletion of the first occurrence): 2"]},
  "Definition (is longer than): 1"->{
    Cell[29693, 808, 1056, 29, 58, "Assumption",
      CellTags->"Definition (is longer than): 1"],
    Cell[217960, 6559, 1113, 31, 70, "Text",
      CellTags->"Definition (is longer than): 1"]},
  "Definition (is longer than): 2"->{
    Cell[30752, 839, 1454, 39, 57, "Assumption",
      CellTags->"Definition (is longer than): 2"],
    Cell[219076, 6592, 1511, 41, 70, "Text",
      CellTags->"Definition (is longer than): 2"]},
  "Definition (is longer than): 3"->{
    Cell[32209, 880, 2961, 77, 58, "Assumption",
      CellTags->"Definition (is longer than): 3"],
    Cell[220590, 6635, 3018, 79, 70, "Text",
      CellTags->"Definition (is longer than): 3"]},
  "Proposition (trivial tuples are sorted)"->{
    Cell[35173, 959, 1333, 34, 72, "Assumption",
      CellTags->"Proposition (trivial tuples are sorted)"],
    Cell[260196, 7723, 1385, 35, 70, "Text",
      CellTags->"Proposition (trivial tuples are sorted)"]},
  "Proposition (only trivial tuple permuted version of itself)"->{
    Cell[36509, 995, 2375, 61, 74, "Assumption",
      CellTags->
      "Proposition (only trivial tuple permuted version of itself)"],
    Cell[255363, 7591, 2432, 63, 70, "Text",
      CellTags->
      "Proposition (only trivial tuple permuted version of itself)"]},
  "Proposition (reflexivity of permuted version)"->{
    Cell[38887, 1058, 1287, 34, 55, "Assumption",
      CellTags->"Proposition (reflexivity of permuted version)"],
    Cell[257798, 7656, 1344, 36, 70, "Text",
      CellTags->"Proposition (reflexivity of permuted version)"]},
  "Algorithm (sorted)"->{
    Cell[40177, 1094, 2545, 60, 145, "Assumption",
      CellTags->"Algorithm (sorted)"],
    Cell[206329, 6254, 2602, 62, 70, "Text",
      CellTags->"Algorithm (sorted)"]},
  "Lemma (closure of special)"->{
    Cell[42725, 1156, 1457, 39, 71, "Assumption",
      CellTags->"Lemma (closure of special)"],
    Cell[241495, 7202, 1514, 41, 70, "Text",
      CellTags->"Lemma (closure of special)"]},
  "Lemma (splits are tuples): 1"->{
    Cell[44185, 1197, 1515, 40, 72, "Assumption",
      CellTags->"Lemma (splits are tuples): 1"],
    Cell[251207, 7474, 1572, 42, 70, "Text",
      CellTags->"Lemma (splits are tuples): 1"]},
  "Lemma (splits are tuples): 2"->{
    Cell[45703, 1239, 1516, 40, 72, "Assumption",
      CellTags->"Lemma (splits are tuples): 2"],
    Cell[252782, 7518, 1573, 42, 70, "Text",
      CellTags->"Lemma (splits are tuples): 2"]},
  "Lemma (splits are shorter): 1"->{
    Cell[47222, 1281, 1464, 39, 74, "Assumption",
      CellTags->"Lemma (splits are shorter): 1"],
    Cell[245109, 7302, 1521, 41, 70, "Text",
      CellTags->"Lemma (splits are shorter): 1"],
    Cell[246633, 7345, 1521, 41, 70, "Text",
      CellTags->"Lemma (splits are shorter): 1"]},
  "Lemma (splits are shorter): 2"->{
    Cell[48689, 1322, 1465, 39, 74, "Assumption",
      CellTags->"Lemma (splits are shorter): 2"],
    Cell[248157, 7388, 1522, 41, 70, "Text",
      CellTags->"Lemma (splits are shorter): 2"],
    Cell[249682, 7431, 1522, 41, 70, "Text",
      CellTags->"Lemma (splits are shorter): 2"]},
  "Lemma (closure of merge)"->{
    Cell[50157, 1363, 1497, 40, 75, "Assumption",
      CellTags->"Lemma (closure of merge)"],
    Cell[239938, 7158, 1554, 42, 70, "Text",
      CellTags->"Lemma (closure of merge)"]},
  "Lemma (conjecture15): conjecture15"->{
    Cell[51657, 1405, 1744, 46, 72, "Assumption",
      CellTags->"Lemma (conjecture15): conjecture15"],
    Cell[243012, 7245, 2094, 55, 70, "Text",
      CellTags->"Lemma (conjecture15): conjecture15"]},
  "1"->{
    Cell[54945, 1504, 635, 18, 47, "Assumption",
      CellTags->"1"],
    Cell[127224, 4080, 678, 20, 70, "Text",
      CellTags->"1"]},
  "2"->{
    Cell[55758, 1530, 1745, 47, 57, "Assumption",
      CellTags->"2"],
    Cell[141139, 4483, 1784, 48, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[57659, 1585, 987, 26, 47, "Conclusion",
      CellTags->"3"],
    Cell[160320, 5019, 1030, 28, 70, "Text",
      CellTags->"3"]},
  "4"->{
    Cell[59504, 1641, 635, 18, 47, "Assumption",
      CellTags->"4"],
    Cell[183534, 5652, 692, 20, 70, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[60255, 1664, 974, 26, 47, "Conclusion",
      CellTags->"5"],
    Cell[202254, 6137, 1031, 28, 70, "Text",
      CellTags->"5"]},
  "9"->{
    Cell[61933, 1715, 622, 18, 47, "Assumption",
      CellTags->"9"],
    Cell[205647, 6232, 679, 20, 70, "Text",
      CellTags->"9"]},
  "10"->{
    Cell[63299, 1758, 1712, 47, 54, "Assumption",
      CellTags->"10"],
    Cell[127905, 4102, 1769, 49, 70, "Text",
      CellTags->"10"]},
  "11"->{
    Cell[65943, 1839, 679, 19, 47, "Assumption",
      CellTags->"11"],
    Cell[129677, 4153, 1085, 30, 70, "Text",
      CellTags->"11"]},
  "14"->{
    Cell[67570, 1892, 893, 26, 47, "Assumption",
      CellTags->"14"],
    Cell[133990, 4275, 957, 27, 70, "Text",
      CellTags->"14"]},
  "21"->{
    Cell[69102, 1943, 918, 25, 47, "Conclusion",
      CellTags->"21"],
    Cell[143665, 4556, 975, 27, 70, "Text",
      CellTags->"21"]},
  "22"->{
    Cell[70717, 1993, 1519, 42, 47, "Conclusion",
      CellTags->"22"],
    Cell[144643, 4585, 1576, 44, 70, "Text",
      CellTags->"22"]},
  "6"->{
    Cell[77489, 2220, 676, 19, 47, "Assumption",
      CellTags->"6"],
    Cell[203288, 6167, 733, 21, 70, "Text",
      CellTags->"6"]},
  "8"->{
    Cell[78281, 2244, 1563, 38, 73, "Conclusion",
      CellTags->"8"],
    Cell[204024, 6190, 1620, 40, 70, "Text",
      CellTags->"8"]},
  "23"->{
    Cell[81955, 2352, 1132, 29, 47, "Assumption",
      CellTags->"23"],
    Cell[148509, 4703, 1175, 31, 70, "Text",
      CellTags->"23"]},
  "24"->{
    Cell[83090, 2383, 1134, 29, 47, "Assumption",
      CellTags->"24"],
    Cell[149687, 4736, 1177, 31, 70, "Text",
      CellTags->"24"]},
  "25"->{
    Cell[84911, 2437, 1952, 49, 119, "Assumption",
      CellTags->"25"],
    Cell[150867, 4769, 2489, 61, 70, "Text",
      CellTags->"25"]},
  "26"->{
    Cell[87550, 2511, 1956, 49, 119, "Assumption",
      CellTags->"26"],
    Cell[153359, 4832, 2494, 61, 70, "Text",
      CellTags->"26"]},
  "41"->{
    Cell[90451, 2594, 3450, 81, 95, "Conclusion",
      CellTags->"41"],
    Cell[186262, 5727, 3817, 91, 70, "Text",
      CellTags->"41"]},
  "42"->{
    Cell[96444, 2755, 1227, 31, 47, "Conclusion",
      CellTags->"42"],
    Cell[194909, 5953, 1270, 33, 70, "Text",
      CellTags->"42"]},
  "AdditionalInfo"->{
    Cell[105692, 3044, 88, 1, 79, "Section",
      CellTags->"AdditionalInfo"]},
  "12"->{
    Cell[130765, 4185, 1843, 48, 70, "Text",
      CellTags->"12"]},
  "13"->{
    Cell[132611, 4235, 1376, 38, 70, "Text",
      CellTags->"13"]},
  "15"->{
    Cell[134950, 4304, 945, 27, 70, "Text",
      CellTags->"15"]},
  "16"->{
    Cell[135898, 4333, 905, 26, 70, "Text",
      CellTags->"16"]},
  "17"->{
    Cell[136806, 4361, 957, 27, 70, "Text",
      CellTags->"17"]},
  "18"->{
    Cell[137766, 4390, 1377, 38, 70, "Text",
      CellTags->"18"]},
  "19"->{
    Cell[139146, 4430, 1990, 51, 70, "Text",
      CellTags->"19"]},
  "20"->{
    Cell[142926, 4533, 736, 21, 70, "Text",
      CellTags->"20"]},
  "22.1"->{
    Cell[146222, 4631, 684, 20, 70, "Text",
      CellTags->"22.1"]},
  "22.2"->{
    Cell[146909, 4653, 909, 26, 70, "Text",
      CellTags->"22.2"]},
  "22.3"->{
    Cell[147821, 4681, 685, 20, 70, "Text",
      CellTags->"22.3"]},
  "27"->{
    Cell[155856, 4895, 1750, 47, 70, "Text",
      CellTags->"27"]},
  "28"->{
    Cell[157609, 4944, 1094, 30, 70, "Text",
      CellTags->"28"]},
  "29"->{
    Cell[158706, 4976, 1611, 41, 70, "Text",
      CellTags->"29"]},
  "30"->{
    Cell[161353, 5049, 745, 21, 70, "Text",
      CellTags->"30"]},
  "31"->{
    Cell[162101, 5072, 2009, 51, 70, "Text",
      CellTags->"31"]},
  "31.1"->{
    Cell[164113, 5125, 804, 22, 70, "Text",
      CellTags->"31.1"]},
  "31.2"->{
    Cell[164920, 5149, 1095, 30, 70, "Text",
      CellTags->"31.2"]},
  "31.3"->{
    Cell[166018, 5181, 805, 22, 70, "Text",
      CellTags->"31.3"]},
  "32"->{
    Cell[166826, 5205, 1095, 30, 70, "Text",
      CellTags->"32"]},
  "33"->{
    Cell[167924, 5237, 2013, 51, 70, "Text",
      CellTags->"33"]},
  "33.1"->{
    Cell[169940, 5290, 805, 22, 70, "Text",
      CellTags->"33.1"]},
  "33.2"->{
    Cell[170748, 5314, 1097, 30, 70, "Text",
      CellTags->"33.2"]},
  "33.3"->{
    Cell[171848, 5346, 806, 22, 70, "Text",
      CellTags->"33.3"]},
  "34"->{
    Cell[172657, 5370, 746, 21, 70, "Text",
      CellTags->"34"]},
  "35"->{
    Cell[173406, 5393, 2272, 55, 70, "Text",
      CellTags->"35"]},
  "36"->{
    Cell[175681, 5450, 1775, 44, 70, "Text",
      CellTags->"36"]},
  "37"->{
    Cell[177459, 5496, 2026, 51, 70, "Text",
      CellTags->"37"]},
  "38"->{
    Cell[179488, 5549, 2268, 55, 70, "Text",
      CellTags->"38"]},
  "39"->{
    Cell[181759, 5606, 1772, 44, 70, "Text",
      CellTags->"39"]},
  "40"->{
    Cell[184229, 5674, 2030, 51, 70, "Text",
      CellTags->"40"]},
  "41.1"->{
    Cell[190082, 5820, 684, 20, 70, "Text",
      CellTags->"41.1"]},
  "41.2"->{
    Cell[190769, 5842, 1303, 33, 70, "Text",
      CellTags->"41.2"]},
  "41.3"->{
    Cell[192075, 5877, 1524, 39, 70, "Text",
      CellTags->"41.3"]},
  "41.4"->{
    Cell[193602, 5918, 1304, 33, 70, "Text",
      CellTags->"41.4"]},
  "42.1"->{
    Cell[196182, 5988, 804, 22, 70, "Text",
      CellTags->"42.1"]},
  "42.2"->{
    Cell[196989, 6012, 805, 22, 70, "Text",
      CellTags->"42.2"]},
  "43"->{
    Cell[197797, 6036, 4454, 99, 70, "Text",
      CellTags->"43"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Theorem (correctness of sort)", 264793, 7852},
  {"Definition (is sorted): 1", 265114, 7859},
  {"Definition (is sorted): 2", 265330, 7864},
  {"Definition (is sorted): 3", 265547, 7869},
  {"Definition (is permuted version): 1", 265776, 7874},
  {"Definition (is permuted version): 2", 266023, 7879},
  {"Definition (is permuted version): 3", 266272, 7884},
  {"Definition (is sorted version)", 266516, 7889},
  {"Proposition (is tuple tuple)", 266750, 7894},
  {"Definition (prepend): \[Cup]", 266978, 7899},
  {"Proposition (singleton tuple is singleton tuple)", 267227, 7904},
  {"Definition (is trivial tuple)", 267496, 7909},
  {"Definition (is element): 1", 267725, 7914},
  {"Definition (is element): 2", 267947, 7919},
  {"Definition (deletion of the first occurrence): 1", 268192, 7924},
  {"Definition (deletion of the first occurrence): 2", 268481, 7929},
  {"Definition (is longer than): 1", 268752, 7934},
  {"Definition (is longer than): 2", 268987, 7939},
  {"Definition (is longer than): 3", 269222, 7944},
  {"Proposition (trivial tuples are sorted)", 269466, 7949},
  {"Proposition (only trivial tuple permuted version of itself)", 269748, \
7954},
  {"Proposition (reflexivity of permuted version)", 270070, 7961},
  {"Algorithm (sorted)", 270324, 7966},
  {"Lemma (closure of special)", 270533, 7971},
  {"Lemma (splits are tuples): 1", 270759, 7976},
  {"Lemma (splits are tuples): 2", 270989, 7981},
  {"Lemma (splits are shorter): 1", 271220, 7986},
  {"Lemma (splits are shorter): 2", 271548, 7993},
  {"Lemma (closure of merge)", 271871, 8000},
  {"Lemma (conjecture15): conjecture15", 272099, 8005},
  {"1", 272314, 8010},
  {"2", 272461, 8015},
  {"3", 272610, 8020},
  {"4", 272758, 8025},
  {"5", 272905, 8030},
  {"9", 273053, 8035},
  {"10", 273201, 8040},
  {"11", 273353, 8045},
  {"14", 273504, 8050},
  {"21", 273654, 8055},
  {"22", 273804, 8060},
  {"6", 273955, 8065},
  {"8", 274102, 8070},
  {"23", 274252, 8075},
  {"24", 274404, 8080},
  {"25", 274556, 8085},
  {"26", 274709, 8090},
  {"41", 274862, 8095},
  {"42", 275014, 8100},
  {"AdditionalInfo", 275178, 8105},
  {"12", 275269, 8108},
  {"13", 275348, 8111},
  {"15", 275427, 8114},
  {"16", 275505, 8117},
  {"17", 275583, 8120},
  {"18", 275661, 8123},
  {"19", 275740, 8126},
  {"20", 275819, 8129},
  {"22.1", 275899, 8132},
  {"22.2", 275981, 8135},
  {"22.3", 276063, 8138},
  {"27", 276143, 8141},
  {"28", 276222, 8144},
  {"29", 276301, 8147},
  {"30", 276380, 8150},
  {"31", 276458, 8153},
  {"31.1", 276539, 8156},
  {"31.2", 276621, 8159},
  {"31.3", 276704, 8162},
  {"32", 276784, 8165},
  {"33", 276863, 8168},
  {"33.1", 276944, 8171},
  {"33.2", 277026, 8174},
  {"33.3", 277109, 8177},
  {"34", 277189, 8180},
  {"35", 277267, 8183},
  {"36", 277346, 8186},
  {"37", 277425, 8189},
  {"38", 277504, 8192},
  {"39", 277583, 8195},
  {"40", 277662, 8198},
  {"41.1", 277743, 8201},
  {"41.2", 277825, 8204},
  {"41.3", 277908, 8207},
  {"41.4", 277991, 8210},
  {"42.1", 278074, 8213},
  {"42.2", 278156, 8216},
  {"43", 278236, 8219}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1727, 52, 93, 1, 47, "ProofText"],
Cell[1823, 55, 1159, 31, 57, "Conclusion",
  CellTags->"Theorem (correctness of sort)"],

Cell[CellGroupData[{
Cell[3007, 90, 109, 1, 47, "ProofText"],
Cell[3119, 93, 461, 12, 47, "Assumption",
  CellTags->"Definition (is sorted): 1"],
Cell[3583, 107, 935, 26, 54, "Assumption",
  CellTags->"Definition (is sorted): 2"],
Cell[4521, 135, 2935, 75, 58, "Assumption",
  CellTags->"Definition (is sorted): 3"],
Cell[7459, 212, 515, 12, 47, "Assumption",
  CellTags->"Definition (is permuted version): 1"],
Cell[7977, 226, 1474, 40, 58, "Assumption",
  CellTags->"Definition (is permuted version): 2"],
Cell[9454, 268, 3448, 86, 58, "Assumption",
  CellTags->"Definition (is permuted version): 3"],
Cell[12905, 356, 2618, 68, 125, "Assumption",
  CellTags->"Definition (is sorted version)"],
Cell[15526, 426, 950, 26, 55, "Assumption",
  CellTags->"Proposition (is tuple tuple)"],
Cell[16479, 454, 1862, 50, 58, "Assumption",
  CellTags->"Definition (prepend): \[Cup]"],
Cell[18344, 506, 996, 26, 54, "Assumption",
  CellTags->"Proposition (singleton tuple is singleton tuple)"],
Cell[19343, 534, 1549, 39, 93, "Assumption",
  CellTags->"Definition (is trivial tuple)"],
Cell[20895, 575, 952, 27, 54, "Assumption",
  CellTags->"Definition (is element): 1"],
Cell[21850, 604, 2854, 75, 58, "Assumption",
  CellTags->"Definition (is element): 2"],
Cell[24707, 681, 1130, 30, 54, "Assumption",
  CellTags->"Definition (deletion of the first occurrence): 1"],
Cell[25840, 713, 3850, 93, 93, "Assumption",
  CellTags->"Definition (deletion of the first occurrence): 2"],
Cell[29693, 808, 1056, 29, 58, "Assumption",
  CellTags->"Definition (is longer than): 1"],
Cell[30752, 839, 1454, 39, 57, "Assumption",
  CellTags->"Definition (is longer than): 2"],
Cell[32209, 880, 2961, 77, 58, "Assumption",
  CellTags->"Definition (is longer than): 3"],
Cell[35173, 959, 1333, 34, 72, "Assumption",
  CellTags->"Proposition (trivial tuples are sorted)"],
Cell[36509, 995, 2375, 61, 74, "Assumption",
  CellTags->"Proposition (only trivial tuple permuted version of itself)"],
Cell[38887, 1058, 1287, 34, 55, "Assumption",
  CellTags->"Proposition (reflexivity of permuted version)"],
Cell[40177, 1094, 2545, 60, 145, "Assumption",
  CellTags->"Algorithm (sorted)"],
Cell[42725, 1156, 1457, 39, 71, "Assumption",
  CellTags->"Lemma (closure of special)"],
Cell[44185, 1197, 1515, 40, 72, "Assumption",
  CellTags->"Lemma (splits are tuples): 1"],
Cell[45703, 1239, 1516, 40, 72, "Assumption",
  CellTags->"Lemma (splits are tuples): 2"],
Cell[47222, 1281, 1464, 39, 74, "Assumption",
  CellTags->"Lemma (splits are shorter): 1"],
Cell[48689, 1322, 1465, 39, 74, "Assumption",
  CellTags->"Lemma (splits are shorter): 2"],
Cell[50157, 1363, 1497, 40, 75, "Assumption",
  CellTags->"Lemma (closure of merge)"],
Cell[51657, 1405, 1744, 46, 72, "Assumption",
  CellTags->"Lemma (conjecture15): conjecture15"]
}, Closed]],
Cell[53416, 1454, 492, 14, 40, "ProofText"],
Cell[53911, 1470, 763, 23, 47, "ProofText"],
Cell[54677, 1495, 123, 1, 47, "ProofText"],
Cell[54803, 1498, 139, 4, 47, "ProofText"],
Cell[54945, 1504, 635, 18, 47, "Assumption",
  CellTags->"1"],
Cell[55583, 1524, 172, 4, 47, "ProofText"],
Cell[55758, 1530, 1745, 47, 57, "Assumption",
  CellTags->"2"],
Cell[57506, 1579, 150, 4, 47, "ProofText"],
Cell[57659, 1585, 987, 26, 47, "Conclusion",
  CellTags->"3"],
Cell[58649, 1613, 732, 21, 47, "ProofText"],

Cell[CellGroupData[{
Cell[59406, 1638, 95, 1, 47, "ProofText"],
Cell[59504, 1641, 635, 18, 47, "Assumption",
  CellTags->"4"],
Cell[60142, 1661, 110, 1, 47, "ProofText"],
Cell[60255, 1664, 974, 26, 47, "Conclusion",
  CellTags->"5"],
Cell[61232, 1692, 698, 21, 47, "ProofText"],
Cell[61933, 1715, 622, 18, 47, "Assumption",
  CellTags->"9"],
Cell[62558, 1735, 738, 21, 47, "ProofText"],
Cell[63299, 1758, 1712, 47, 54, "Assumption",
  CellTags->"10"],
Cell[65014, 1807, 926, 30, 47, "ProofText"],
Cell[65943, 1839, 679, 19, 47, "Assumption",
  CellTags->"11"],
Cell[66625, 1860, 942, 30, 47, "ProofText"],
Cell[67570, 1892, 893, 26, 47, "Assumption",
  CellTags->"14"],
Cell[68466, 1920, 633, 21, 47, "ProofText"],
Cell[69102, 1943, 918, 25, 47, "Conclusion",
  CellTags->"21"],
Cell[70023, 1970, 691, 21, 47, "ProofText"],
Cell[70717, 1993, 1519, 42, 47, "Conclusion",
  CellTags->"22"],
Cell[72239, 2037, 406, 12, 47, "ProofText"],

Cell[CellGroupData[{
Cell[72670, 2053, 803, 24, 47, "ProofText"],
Cell[73476, 2079, 657, 21, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[74170, 2105, 1033, 31, 47, "ProofText"],
Cell[75206, 2138, 635, 21, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[75878, 2164, 804, 24, 47, "ProofText"],
Cell[76685, 2190, 657, 21, 47, "ProofText"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[77391, 2217, 95, 1, 40, "ProofText"],
Cell[77489, 2220, 676, 19, 47, "Assumption",
  CellTags->"6"],
Cell[78168, 2241, 110, 1, 47, "ProofText"],
Cell[78281, 2244, 1563, 38, 73, "Conclusion",
  CellTags->"8"],
Cell[79847, 2284, 2105, 66, 73, "ProofText"],
Cell[81955, 2352, 1132, 29, 47, "Assumption",
  CellTags->"23"],
Cell[83090, 2383, 1134, 29, 47, "Assumption",
  CellTags->"24"],
Cell[84227, 2414, 681, 21, 47, "ProofText"],
Cell[84911, 2437, 1952, 49, 119, "Assumption",
  CellTags->"25"],
Cell[86866, 2488, 681, 21, 47, "ProofText"],
Cell[87550, 2511, 1956, 49, 119, "Assumption",
  CellTags->"26"],
Cell[89509, 2562, 939, 30, 47, "ProofText"],
Cell[90451, 2594, 3450, 81, 95, "Conclusion",
  CellTags->"41"],
Cell[93904, 2677, 407, 12, 47, "ProofText"],

Cell[CellGroupData[{
Cell[94336, 2693, 1422, 37, 47, "ProofText"],
Cell[95761, 2732, 680, 21, 47, "ProofText"],
Cell[96444, 2755, 1227, 31, 47, "Conclusion",
  CellTags->"42"],
Cell[97674, 2788, 406, 12, 47, "ProofText"],

Cell[CellGroupData[{
Cell[98105, 2804, 923, 26, 47, "ProofText"],
Cell[99031, 2832, 663, 21, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[99731, 2858, 924, 26, 47, "ProofText"],
Cell[100658, 2886, 663, 21, 47, "ProofText"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[101370, 2913, 1648, 44, 47, "ProofText"],
Cell[103021, 2959, 518, 15, 71, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[103576, 2979, 1423, 37, 47, "ProofText"],
Cell[105002, 3018, 444, 14, 71, "Text"]
}, Open  ]]
}, Open  ]],
Cell[105473, 3036, 182, 3, 36, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[105692, 3044, 88, 1, 79, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[105805, 3049, 36, 0, 70, "Subsection"],
Cell[105844, 3051, 1146, 28, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[107027, 3084, 34, 0, 70, "Subsection"],
Cell[107064, 3086, 120, 7, 70, "Text"],
Cell[107187, 3095, 98, 4, 70, "Text"],
Cell[107288, 3101, 99, 4, 70, "Text"],
Cell[107390, 3107, 180, 9, 70, "Text"],
Cell[107573, 3118, 195, 9, 70, "Text"],
Cell[107771, 3129, 231, 9, 70, "Text"],
Cell[108005, 3140, 230, 9, 70, "Text"],
Cell[108238, 3151, 216, 9, 70, "Text"],
Cell[108457, 3162, 216, 9, 70, "Text"],
Cell[108676, 3173, 216, 9, 70, "Text"],
Cell[108895, 3184, 228, 9, 70, "Text"],
Cell[109126, 3195, 227, 9, 70, "Text"],
Cell[109356, 3206, 227, 9, 70, "Text"],
Cell[109586, 3217, 221, 9, 70, "Text"],
Cell[109810, 3228, 228, 9, 70, "Text"],
Cell[110041, 3239, 224, 9, 70, "Text"],
Cell[110268, 3250, 224, 9, 70, "Text"],
Cell[110495, 3261, 217, 9, 70, "Text"],
Cell[110715, 3272, 218, 9, 70, "Text"],
Cell[110936, 3283, 225, 9, 70, "Text"],
Cell[111164, 3294, 222, 9, 70, "Text"],
Cell[111389, 3305, 222, 9, 70, "Text"],
Cell[111614, 3316, 221, 9, 70, "Text"],
Cell[111838, 3327, 221, 9, 70, "Text"],
Cell[112062, 3338, 221, 9, 70, "Text"],
Cell[112286, 3349, 223, 9, 70, "Text"],
Cell[112512, 3360, 218, 9, 70, "Text"],
Cell[112733, 3371, 220, 9, 70, "Text"],
Cell[112956, 3382, 225, 9, 70, "Text"],
Cell[113184, 3393, 190, 9, 70, "Text"],
Cell[113377, 3404, 229, 9, 70, "Text"],
Cell[113609, 3415, 230, 9, 70, "Text"],
Cell[113842, 3426, 228, 9, 70, "Text"],
Cell[114073, 3437, 226, 9, 70, "Text"],
Cell[114302, 3448, 219, 9, 70, "Text"],
Cell[114524, 3459, 222, 9, 70, "Text"],
Cell[114749, 3470, 223, 9, 70, "Text"],
Cell[114975, 3481, 223, 9, 70, "Text"],
Cell[115201, 3492, 234, 9, 70, "Text"],
Cell[115438, 3503, 233, 9, 70, "Text"],
Cell[115674, 3514, 212, 9, 70, "Text"],
Cell[115889, 3525, 208, 9, 70, "Text"],
Cell[116100, 3536, 221, 9, 70, "Text"],
Cell[116324, 3547, 230, 9, 70, "Text"],
Cell[116557, 3558, 218, 9, 70, "Text"],
Cell[116778, 3569, 220, 9, 70, "Text"],
Cell[117001, 3580, 216, 9, 70, "Text"],
Cell[117220, 3591, 222, 9, 70, "Text"],
Cell[117445, 3602, 218, 9, 70, "Text"],
Cell[117666, 3613, 221, 9, 70, "Text"],
Cell[117890, 3624, 225, 9, 70, "Text"],
Cell[118118, 3635, 223, 9, 70, "Text"],
Cell[118344, 3646, 219, 9, 70, "Text"],
Cell[118566, 3657, 231, 9, 70, "Text"],
Cell[118800, 3668, 236, 9, 70, "Text"],
Cell[119039, 3679, 230, 9, 70, "Text"],
Cell[119272, 3690, 226, 9, 70, "Text"],
Cell[119501, 3701, 228, 9, 70, "Text"],
Cell[119732, 3712, 232, 9, 70, "Text"],
Cell[119967, 3723, 226, 9, 70, "Text"],
Cell[120196, 3734, 224, 9, 70, "Text"],
Cell[120423, 3745, 235, 9, 70, "Text"],
Cell[120661, 3756, 230, 9, 70, "Text"],
Cell[120894, 3767, 241, 9, 70, "Text"],
Cell[121138, 3778, 170, 9, 70, "Text"],
Cell[121311, 3789, 227, 9, 70, "Text"],
Cell[121541, 3800, 225, 9, 70, "Text"],
Cell[121769, 3811, 230, 9, 70, "Text"],
Cell[122002, 3822, 224, 9, 70, "Text"],
Cell[122229, 3833, 221, 9, 70, "Text"],
Cell[122453, 3844, 230, 9, 70, "Text"],
Cell[122686, 3855, 235, 9, 70, "Text"],
Cell[122924, 3866, 246, 9, 70, "Text"],
Cell[123173, 3877, 224, 9, 70, "Text"],
Cell[123400, 3888, 228, 9, 70, "Text"],
Cell[123631, 3899, 241, 9, 70, "Text"],
Cell[123875, 3910, 234, 9, 70, "Text"],
Cell[124112, 3921, 229, 9, 70, "Text"],
Cell[124344, 3932, 232, 9, 70, "Text"],
Cell[124579, 3943, 216, 9, 70, "Text"],
Cell[124798, 3954, 225, 9, 70, "Text"],
Cell[125026, 3965, 187, 9, 70, "Text"],
Cell[125216, 3976, 226, 9, 70, "Text"],
Cell[125445, 3987, 233, 9, 70, "Text"],
Cell[125681, 3998, 227, 9, 70, "Text"],
Cell[125911, 4009, 223, 9, 70, "Text"],
Cell[126137, 4020, 192, 9, 70, "Text"],
Cell[126332, 4031, 210, 9, 70, "Text"],
Cell[126545, 4042, 211, 9, 70, "Text"],
Cell[126759, 4053, 184, 9, 70, "Text"],
Cell[126946, 4064, 182, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[127165, 4078, 56, 0, 70, "Subsection"],
Cell[127224, 4080, 678, 20, 70, "Text",
  CellTags->"1"],
Cell[127905, 4102, 1769, 49, 70, "Text",
  CellTags->"10"],
Cell[129677, 4153, 1085, 30, 70, "Text",
  CellTags->"11"],
Cell[130765, 4185, 1843, 48, 70, "Text",
  CellTags->"12"],
Cell[132611, 4235, 1376, 38, 70, "Text",
  CellTags->"13"],
Cell[133990, 4275, 957, 27, 70, "Text",
  CellTags->"14"],
Cell[134950, 4304, 945, 27, 70, "Text",
  CellTags->"15"],
Cell[135898, 4333, 905, 26, 70, "Text",
  CellTags->"16"],
Cell[136806, 4361, 957, 27, 70, "Text",
  CellTags->"17"],
Cell[137766, 4390, 1377, 38, 70, "Text",
  CellTags->"18"],
Cell[139146, 4430, 1990, 51, 70, "Text",
  CellTags->"19"],
Cell[141139, 4483, 1784, 48, 70, "Text",
  CellTags->"2"],
Cell[142926, 4533, 736, 21, 70, "Text",
  CellTags->"20"],
Cell[143665, 4556, 975, 27, 70, "Text",
  CellTags->"21"],
Cell[144643, 4585, 1576, 44, 70, "Text",
  CellTags->"22"],
Cell[146222, 4631, 684, 20, 70, "Text",
  CellTags->"22.1"],
Cell[146909, 4653, 909, 26, 70, "Text",
  CellTags->"22.2"],
Cell[147821, 4681, 685, 20, 70, "Text",
  CellTags->"22.3"],
Cell[148509, 4703, 1175, 31, 70, "Text",
  CellTags->"23"],
Cell[149687, 4736, 1177, 31, 70, "Text",
  CellTags->"24"],
Cell[150867, 4769, 2489, 61, 70, "Text",
  CellTags->"25"],
Cell[153359, 4832, 2494, 61, 70, "Text",
  CellTags->"26"],
Cell[155856, 4895, 1750, 47, 70, "Text",
  CellTags->"27"],
Cell[157609, 4944, 1094, 30, 70, "Text",
  CellTags->"28"],
Cell[158706, 4976, 1611, 41, 70, "Text",
  CellTags->"29"],
Cell[160320, 5019, 1030, 28, 70, "Text",
  CellTags->"3"],
Cell[161353, 5049, 745, 21, 70, "Text",
  CellTags->"30"],
Cell[162101, 5072, 2009, 51, 70, "Text",
  CellTags->"31"],
Cell[164113, 5125, 804, 22, 70, "Text",
  CellTags->"31.1"],
Cell[164920, 5149, 1095, 30, 70, "Text",
  CellTags->"31.2"],
Cell[166018, 5181, 805, 22, 70, "Text",
  CellTags->"31.3"],
Cell[166826, 5205, 1095, 30, 70, "Text",
  CellTags->"32"],
Cell[167924, 5237, 2013, 51, 70, "Text",
  CellTags->"33"],
Cell[169940, 5290, 805, 22, 70, "Text",
  CellTags->"33.1"],
Cell[170748, 5314, 1097, 30, 70, "Text",
  CellTags->"33.2"],
Cell[171848, 5346, 806, 22, 70, "Text",
  CellTags->"33.3"],
Cell[172657, 5370, 746, 21, 70, "Text",
  CellTags->"34"],
Cell[173406, 5393, 2272, 55, 70, "Text",
  CellTags->"35"],
Cell[175681, 5450, 1775, 44, 70, "Text",
  CellTags->"36"],
Cell[177459, 5496, 2026, 51, 70, "Text",
  CellTags->"37"],
Cell[179488, 5549, 2268, 55, 70, "Text",
  CellTags->"38"],
Cell[181759, 5606, 1772, 44, 70, "Text",
  CellTags->"39"],
Cell[183534, 5652, 692, 20, 70, "Text",
  CellTags->"4"],
Cell[184229, 5674, 2030, 51, 70, "Text",
  CellTags->"40"],
Cell[186262, 5727, 3817, 91, 70, "Text",
  CellTags->"41"],
Cell[190082, 5820, 684, 20, 70, "Text",
  CellTags->"41.1"],
Cell[190769, 5842, 1303, 33, 70, "Text",
  CellTags->"41.2"],
Cell[192075, 5877, 1524, 39, 70, "Text",
  CellTags->"41.3"],
Cell[193602, 5918, 1304, 33, 70, "Text",
  CellTags->"41.4"],
Cell[194909, 5953, 1270, 33, 70, "Text",
  CellTags->"42"],
Cell[196182, 5988, 804, 22, 70, "Text",
  CellTags->"42.1"],
Cell[196989, 6012, 805, 22, 70, "Text",
  CellTags->"42.2"],
Cell[197797, 6036, 4454, 99, 70, "Text",
  CellTags->"43"],
Cell[202254, 6137, 1031, 28, 70, "Text",
  CellTags->"5"],
Cell[203288, 6167, 733, 21, 70, "Text",
  CellTags->"6"],
Cell[204024, 6190, 1620, 40, 70, "Text",
  CellTags->"8"],
Cell[205647, 6232, 679, 20, 70, "Text",
  CellTags->"9"],
Cell[206329, 6254, 2602, 62, 70, "Text",
  CellTags->"Algorithm (sorted)"],
Cell[208934, 6318, 1187, 32, 70, "Text",
  CellTags->"Definition (deletion of the first occurrence): 1"],
Cell[210124, 6352, 3907, 95, 70, "Text",
  CellTags->"Definition (deletion of the first occurrence): 2"],
Cell[214034, 6449, 1009, 29, 70, "Text",
  CellTags->"Definition (is element): 1"],
Cell[215046, 6480, 2911, 77, 70, "Text",
  CellTags->"Definition (is element): 2"],
Cell[217960, 6559, 1113, 31, 70, "Text",
  CellTags->"Definition (is longer than): 1"],
Cell[219076, 6592, 1511, 41, 70, "Text",
  CellTags->"Definition (is longer than): 2"],
Cell[220590, 6635, 3018, 79, 70, "Text",
  CellTags->"Definition (is longer than): 3"],
Cell[223611, 6716, 572, 14, 70, "Text",
  CellTags->"Definition (is permuted version): 1"],
Cell[224186, 6732, 1531, 42, 70, "Text",
  CellTags->"Definition (is permuted version): 2"],
Cell[225720, 6776, 3505, 88, 70, "Text",
  CellTags->"Definition (is permuted version): 3"],
Cell[229228, 6866, 513, 13, 70, "Text",
  CellTags->"Definition (is sorted): 1"],
Cell[229744, 6881, 987, 27, 70, "Text",
  CellTags->"Definition (is sorted): 2"],
Cell[230734, 6910, 2992, 77, 70, "Text",
  CellTags->"Definition (is sorted): 3"],
Cell[233729, 6989, 2675, 70, 70, "Text",
  CellTags->"Definition (is sorted version)"],
Cell[236407, 7061, 1606, 41, 70, "Text",
  CellTags->"Definition (is trivial tuple)"],
Cell[238016, 7104, 1919, 52, 70, "Text",
  CellTags->"Definition (prepend): \[Cup]"],
Cell[239938, 7158, 1554, 42, 70, "Text",
  CellTags->"Lemma (closure of merge)"],
Cell[241495, 7202, 1514, 41, 70, "Text",
  CellTags->"Lemma (closure of special)"],
Cell[243012, 7245, 2094, 55, 70, "Text",
  CellTags->"Lemma (conjecture15): conjecture15"],
Cell[245109, 7302, 1521, 41, 70, "Text",
  CellTags->"Lemma (splits are shorter): 1"],
Cell[246633, 7345, 1521, 41, 70, "Text",
  CellTags->"Lemma (splits are shorter): 1"],
Cell[248157, 7388, 1522, 41, 70, "Text",
  CellTags->"Lemma (splits are shorter): 2"],
Cell[249682, 7431, 1522, 41, 70, "Text",
  CellTags->"Lemma (splits are shorter): 2"],
Cell[251207, 7474, 1572, 42, 70, "Text",
  CellTags->"Lemma (splits are tuples): 1"],
Cell[252782, 7518, 1573, 42, 70, "Text",
  CellTags->"Lemma (splits are tuples): 2"],
Cell[254358, 7562, 1002, 27, 70, "Text",
  CellTags->"Proposition (is tuple tuple)"],
Cell[255363, 7591, 2432, 63, 70, "Text",
  CellTags->"Proposition (only trivial tuple permuted version of itself)"],
Cell[257798, 7656, 1344, 36, 70, "Text",
  CellTags->"Proposition (reflexivity of permuted version)"],
Cell[259145, 7694, 1048, 27, 70, "Text",
  CellTags->"Proposition (singleton tuple is singleton tuple)"],
Cell[260196, 7723, 1385, 35, 70, "Text",
  CellTags->"Proposition (trivial tuples are sorted)"],
Cell[261584, 7760, 1216, 33, 70, "Text",
  CellTags->"Theorem (correctness of sort)"],
Cell[262803, 7795, 1216, 33, 70, "Text",
  CellTags->"Theorem (correctness of sort)"]
}, Closed]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

