(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     34077,       1390]*)
(*NotebookOutlinePosition[     35501,       1434]*)
(*  CellTagsIndexPosition[     35320,       1426]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (Equal Transitivity): ==\[Implies]=)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (Equal Transitivity): ==\[Implies]="],

Cell["with no assumptions.", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  "We prove ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (Equal Transitivity): ==\[Implies]=",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (Equal Transitivity): ==\[Implies]="]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by the external prover Otter."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  StyleBox["(", "Label"],
  ButtonBox["Otter proof",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Otter proof"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[BoxData[
    ButtonBox[\(\(\ \)\(\(\(\[LongRightArrow]\)\(\ \)\(Text\)\)\(\ \
\)\(Proof\)\(\ \)\)\),
      ButtonData:>{"text-proof-otter.txt", None},
      ButtonStyle->"Hyperlink"]], "Input"],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    \(Prove[Proposition["\<Equal Transitivity\>"], 
      by \[Rule] Otter]; \)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00017"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2002/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/10/11 16:26:15 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 2001/10/25 17:30:54 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`External`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/11 15:53:14 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.30 ",
  ", ",
  "Date: 2001/11/11 17:12:25 ",
  ", ",
  "Last modified by: knakagaw "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.54 ",
  ", ",
  "Date: 2001/12/05 10:16:33 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`NormalForms`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/04 16:09:42 ",
  ", ",
  "Last modified by: fkossak "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/10/25 15:14:24 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/03/23 08:48:56 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.64 ",
  ", ",
  "Date: 2001/11/20 21:43:03 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.85 ",
  ", ",
  "Date: 2001/12/06 10:10:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/06/18 13:12:07 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/03/22 18:10:16 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/11/05 16:24:59 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.62 ",
  ", ",
  "Date: 2001/11/28 15:39:25 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.34 ",
  ", ",
  "Date: 2001/10/08 08:48:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 1999/06/18 09:25:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2000/08/09 13:56:28 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2001/03/23 09:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/05/22 09:33:11 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/11/20 21:56:25 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/11/20 21:50:54 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.41 ",
  ", ",
  "Date: 2001/10/23 10:58:04 ",
  ", ",
  "Last modified by: knakagaw "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.30 ",
  ", ",
  "Date: 2000/12/13 20:09:49 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.50 ",
  ", ",
  "Date: 2001/12/14 17:02:24 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:15:12 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Bliksem`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:21:54 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Bliksem`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:23:58 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`E`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:22:24 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`E`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:24:55 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`EQP`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:22:36 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`EQP`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:26:06 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Gandalf`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:22:40 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Gandalf`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:26:32 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:08:27 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Mace`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:22:43 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Mace`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:26:58 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Otter`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:05 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Otter`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2002/02/04 19:27:41 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Scott`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:10 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Scott`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:28:16 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Setheo`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:14 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Setheo`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:29:14 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Spass`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:18 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Spass`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:29:47 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Vampire`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:22 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Vampire`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:30:09 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Waldmeister`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:25 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Waldmeister`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:30:31 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`GBProver`GBProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 1999/08/17 17:04:33 ",
  ", ",
  "Last modified by: fkossak "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`GBProver`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2001/03/04 23:48:01 ",
  ", ",
  "Last modified by: knakagaw "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:37:44 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`NewBasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/03/23 08:55:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/05/22 09:36:09 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/12/20 09:55:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/08/31 16:22:41 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.41 ",
  ", ",
  "Date: 2000/12/12 13:19:19 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2000/08/17 19:07:29 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 1999/07/05 10:08:23 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/01/25 15:54:05 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/10/25 17:30:02 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2001/03/23 09:02:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2001/11/19 12:16:46 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/10/12 12:20:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/10/12 12:20:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/10/12 12:20:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/12/14 18:17:04 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`External`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2002/02/12 12:15:58 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`GroebnerBasesProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/12/14 17:19:00 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`SetTheoryProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/12/14 18:07:50 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Otter proof)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \("\n----- Otter 3.0.4, August 1995 -----\nThe job was started by ??? \
on ???, Thu Apr 11 13:22:17 2002\nThe command was \
\"C:\\THEOREMA\\THEORE~1\\THEOREMA\\EXTERNAL\\BINARIES\\WINDOWS\\OTTER\\OTTER.\
EXE\".\n\nset(auto).\n   dependent: set(process_input).\n   dependent: \
clear(print_kept).\n   dependent: clear(print_new_demod).\n   dependent: \
clear(print_back_demod).\n   dependent: clear(print_back_sub).\n   dependent: \
set(control_memory).\n   dependent: assign(max_mem, 12000).\n   dependent: \
assign(pick_given_ratio, 4).\n   dependent: assign(stats_level, 1).\n   \
dependent: assign(max_seconds, 10800).\nset(prolog_style_variables).\n\n\
formula_list(usable).\n-(all X Y Z (X=Y&Y=Z->X=Z)).\nend_of_list.\n\n-------> \
usable clausifies to:\n\nlist(usable).\n0 [] $c3=$c2.\n0 [] $c2=$c1.\n0 [] \
$c3!=$c1.\nend_of_list.\n\nSCAN INPUT: prop=0, horn=1, equality=1, \
symmetry=0, max_lits=1.\n\nAll clauses are units, and equality is present; \
the\nstrategy will be Knuth-Bendix with positive clauses in sos.\n\n   \
dependent: set(knuth_bendix).\n   dependent: set(para_from).\n   dependent: \
set(para_into).\n   dependent: clear(para_from_right).\n   dependent: \
clear(para_into_right).\n   dependent: set(para_from_vars).\n   dependent: \
set(eq_units_both_ways).\n   dependent: set(dynamic_demod_all).\n   \
dependent: set(dynamic_demod).\n   dependent: set(order_eq).\n   dependent: \
set(back_demod).\n   dependent: set(lrpo).\n\n------------> process usable:\n\
** KEPT (pick-wt=3): 1 [] $c3!=$c1.\n\n------------> process sos:\n** KEPT \
(pick-wt=3): 2 [] $c3=$c2.\n---> New Demodulator: 3 [new_demod,2] $c3=$c2.\n\
** KEPT (pick-wt=3): 4 [] $c2=$c1.\n---> New Demodulator: 5 [new_demod,4] \
$c2=$c1.\n>>>> Starting back demodulation with 3.\n    >> back demodulating 1 \
with 3.\n>>>> Starting back demodulation with 5.\n    >> back demodulating 2 \
with 5.\n  Following clause subsumed by 6 during input processing: 0 \
[copy,6,flip.1] $c1!=$c1.\n>>>> Starting back demodulation with 8.\n\n======= \
end of input processing =======\n\n=========== start of search ===========\n\n\
given clause #1: (wt=3) 4 [] $c2=$c1.\n\n----> UNIT CONFLICT at   0.00 sec \
----> 10 [binary,9.1,6.1] $F.\n\nLength of proof is 2.  Level of proof is 1.\n\
\n---------------- PROOF ----------------\n\n1 [] $c3!=$c1.\n3,2 [] $c3=$c2.\n\
5,4 [] $c2=$c1.\n6 [back_demod,1,demod,3,5] $c1!=$c1.\n9 \
[para_into,4.1.1,4.1.1] $c1=$c1.\n10 [binary,9.1,6.1] $F.\n\n------------ end \
of proof -------------\n\n\nSearch stopped by max_proofs option.\n\n\
============ end of search ============\n\n-------------- statistics \
-------------\nclauses given                  1\nclauses generated            \
  1\nclauses kept                   6\nclauses forward subsumed       1\n\
clauses back subsumed          0\nKbytes malloced               63\n\n\
----------- times (seconds) -----------\nuser CPU time          0.00          \
(0 hr, 0 min, 0 sec)\nsystem CPU time        0.00          (0 hr, 0 min, 0 \
sec)\nwall-clock time        0             (0 hr, 0 min, 0 sec)\npara_into \
time         0.00\npara_from time         0.00\nfor_sub time           0.00\n\
back_sub time          0.00\nconflict time          0.00\ndemod time          \
   0.00\n\nThe job finished        Thu Apr 11 13:22:17 2002"\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Otter proof"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (Equal Transitivity): ==\[Implies]=)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (Equal Transitivity): ==\[Implies]="]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
CellGrouping->Manual,
WindowSize->{1016, 696},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
CellLabelAutoDelete->True,
Magnification->1,
StyleDefinitions -> "TheoremaProof.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Proposition (Equal Transitivity): ==\[Implies]="->{
    Cell[1823, 55, 2109, 58, 52, "Conclusion",
      CellTags->"Proposition (Equal Transitivity): ==\[Implies]="],
    Cell[31883, 1326, 2166, 60, 46, "Text",
      CellTags->"Proposition (Equal Transitivity): ==\[Implies]="]},
  "AdditionalInfo"->{
    Cell[5333, 159, 88, 1, 72, "Section",
      CellTags->"AdditionalInfo"]},
  "Otter proof"->{
    Cell[28148, 1268, 3732, 56, 46, "Text",
      CellTags->"Otter proof"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Proposition (Equal Transitivity): ==\[Implies]=", 34871, 1411},
  {"AdditionalInfo", 35121, 1416},
  {"Otter proof", 35218, 1419}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1727, 52, 93, 1, 45, "ProofText"],
Cell[1823, 55, 2109, 58, 52, "Conclusion",
  CellTags->"Proposition (Equal Transitivity): ==\[Implies]="],
Cell[3935, 115, 107, 1, 45, "ProofText"],
Cell[4045, 118, 489, 12, 45, "ProofText"],
Cell[4537, 132, 373, 11, 45, "ProofText"],
Cell[4913, 145, 182, 3, 35, "ProofText"]
}, Open  ]],
Cell[5110, 151, 198, 4, 41, "Input"],

Cell[CellGroupData[{
Cell[5333, 159, 88, 1, 72, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[5446, 164, 36, 0, 46, "Subsection"],
Cell[5485, 166, 104, 2, 46, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5626, 173, 34, 0, 46, "Subsection"],
Cell[5663, 175, 120, 7, 46, "Text"],
Cell[5786, 184, 98, 4, 46, "Text"],
Cell[5887, 190, 99, 4, 46, "Text"],
Cell[5989, 196, 195, 9, 46, "Text"],
Cell[6187, 207, 231, 9, 46, "Text"],
Cell[6421, 218, 230, 9, 46, "Text"],
Cell[6654, 229, 215, 9, 46, "Text"],
Cell[6872, 240, 216, 9, 46, "Text"],
Cell[7091, 251, 216, 9, 46, "Text"],
Cell[7310, 262, 216, 9, 46, "Text"],
Cell[7529, 273, 228, 9, 46, "Text"],
Cell[7760, 284, 225, 9, 46, "Text"],
Cell[7988, 295, 227, 9, 46, "Text"],
Cell[8218, 306, 226, 9, 46, "Text"],
Cell[8447, 317, 227, 9, 46, "Text"],
Cell[8677, 328, 221, 9, 46, "Text"],
Cell[8901, 339, 228, 9, 46, "Text"],
Cell[9132, 350, 224, 9, 46, "Text"],
Cell[9359, 361, 224, 9, 46, "Text"],
Cell[9586, 372, 217, 9, 46, "Text"],
Cell[9806, 383, 220, 9, 46, "Text"],
Cell[10029, 394, 225, 9, 46, "Text"],
Cell[10257, 405, 222, 9, 46, "Text"],
Cell[10482, 416, 222, 9, 46, "Text"],
Cell[10707, 427, 221, 9, 46, "Text"],
Cell[10931, 438, 223, 9, 46, "Text"],
Cell[11157, 449, 219, 9, 46, "Text"],
Cell[11379, 460, 225, 9, 46, "Text"],
Cell[11607, 471, 218, 9, 46, "Text"],
Cell[11828, 482, 220, 9, 46, "Text"],
Cell[12051, 493, 227, 9, 46, "Text"],
Cell[12281, 504, 229, 9, 46, "Text"],
Cell[12513, 515, 230, 9, 46, "Text"],
Cell[12746, 526, 228, 9, 46, "Text"],
Cell[12977, 537, 226, 9, 46, "Text"],
Cell[13206, 548, 219, 9, 46, "Text"],
Cell[13428, 559, 224, 9, 46, "Text"],
Cell[13655, 570, 223, 9, 46, "Text"],
Cell[13881, 581, 234, 9, 46, "Text"],
Cell[14118, 592, 233, 9, 46, "Text"],
Cell[14354, 603, 223, 9, 46, "Text"],
Cell[14580, 614, 236, 9, 46, "Text"],
Cell[14819, 625, 228, 9, 46, "Text"],
Cell[15050, 636, 230, 9, 46, "Text"],
Cell[15283, 647, 222, 9, 46, "Text"],
Cell[15508, 658, 232, 9, 46, "Text"],
Cell[15743, 669, 224, 9, 46, "Text"],
Cell[15970, 680, 236, 9, 46, "Text"],
Cell[16209, 691, 228, 9, 46, "Text"],
Cell[16440, 702, 222, 9, 46, "Text"],
Cell[16665, 713, 233, 9, 46, "Text"],
Cell[16901, 724, 225, 9, 46, "Text"],
Cell[17129, 735, 234, 9, 46, "Text"],
Cell[17366, 746, 226, 9, 46, "Text"],
Cell[17595, 757, 234, 9, 46, "Text"],
Cell[17832, 768, 226, 9, 46, "Text"],
Cell[18061, 779, 235, 9, 46, "Text"],
Cell[18299, 790, 227, 9, 46, "Text"],
Cell[18529, 801, 234, 9, 46, "Text"],
Cell[18766, 812, 226, 9, 46, "Text"],
Cell[18995, 823, 236, 9, 46, "Text"],
Cell[19234, 834, 228, 9, 46, "Text"],
Cell[19465, 845, 240, 9, 46, "Text"],
Cell[19708, 856, 232, 9, 46, "Text"],
Cell[19943, 867, 222, 9, 46, "Text"],
Cell[20168, 878, 229, 9, 46, "Text"],
Cell[20400, 889, 222, 9, 46, "Text"],
Cell[20625, 900, 218, 9, 46, "Text"],
Cell[20846, 911, 221, 9, 46, "Text"],
Cell[21070, 922, 221, 9, 46, "Text"],
Cell[21294, 933, 225, 9, 46, "Text"],
Cell[21522, 944, 223, 9, 46, "Text"],
Cell[21748, 955, 219, 9, 46, "Text"],
Cell[21970, 966, 231, 9, 46, "Text"],
Cell[22204, 977, 236, 9, 46, "Text"],
Cell[22443, 988, 230, 9, 46, "Text"],
Cell[22676, 999, 228, 9, 46, "Text"],
Cell[22907, 1010, 227, 9, 46, "Text"],
Cell[23137, 1021, 232, 9, 46, "Text"],
Cell[23372, 1032, 226, 9, 46, "Text"],
Cell[23601, 1043, 224, 9, 46, "Text"],
Cell[23828, 1054, 235, 9, 46, "Text"],
Cell[24066, 1065, 230, 9, 46, "Text"],
Cell[24299, 1076, 241, 9, 46, "Text"],
Cell[24543, 1087, 170, 9, 46, "Text"],
Cell[24716, 1098, 227, 9, 46, "Text"],
Cell[24946, 1109, 225, 9, 46, "Text"],
Cell[25174, 1120, 230, 9, 46, "Text"],
Cell[25407, 1131, 224, 9, 46, "Text"],
Cell[25634, 1142, 221, 9, 46, "Text"],
Cell[25858, 1153, 228, 9, 46, "Text"],
Cell[26089, 1164, 229, 9, 46, "Text"],
Cell[26321, 1175, 232, 9, 46, "Text"],
Cell[26556, 1186, 225, 9, 46, "Text"],
Cell[26784, 1197, 235, 9, 46, "Text"],
Cell[27022, 1208, 231, 9, 46, "Text"],
Cell[27256, 1219, 210, 9, 46, "Text"],
Cell[27469, 1230, 211, 9, 46, "Text"],
Cell[27683, 1241, 184, 9, 46, "Text"],
Cell[27870, 1252, 182, 9, 46, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[28089, 1266, 56, 0, 46, "Subsection"],
Cell[28148, 1268, 3732, 56, 46, "Text",
  CellTags->"Otter proof"],
Cell[31883, 1326, 2166, 60, 46, "Text",
  CellTags->"Proposition (Equal Transitivity): ==\[Implies]="]
}, Closed]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

